------------------------------------------------------------------------
r248506 | cgarcia | 2019-12-16 17:47:45 +0100 (Mon, 16 Dec 2019) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_dark_combine.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_detector_noise.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_twilight_flat_combine.c

Remove redundant checks made by esorex

------------------------------------------------------------------------
r246996 | agabasch | 2019-11-12 14:09:43 +0100 (Tue, 12 Nov 2019) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_master_dark_interact.py
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_master_flat_interact.py
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_master_readgain_interact.py
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_science_postprocess_interact.py
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_science_process_interact.py
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_standard_process_interact.py
   M /trunk/Pipelines/hawki/hawkip/scripts/update_procatg.py

PIPE-8613: Porting to python3 done. The relfex plotting routines were
tested with python2 and python3 using esoreflex 2.10.0


------------------------------------------------------------------------
r242466 | agabasch | 2019-07-01 14:49:46 +0200 (Mon, 01 Jul 2019) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkic/pso-releasenotes.txt
   M /trunk/Pipelines/hawki/hawkip/configure.ac

update to version 2.4.7 as version 2.4.6 was tagged


------------------------------------------------------------------------
r242246 | agabasch | 2019-06-24 14:46:58 +0200 (Mon, 24 Jun 2019) | 5 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/tests/hawki_image-test.c

Problem detected by valgrind fixed:

... bytes in 1 blocks are still reachable in loss record


------------------------------------------------------------------------
r240123 | agabasch | 2019-04-30 13:08:18 +0200 (Tue, 30 Apr 2019) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/NEWS

updated


------------------------------------------------------------------------
r239430 | agabasch | 2019-04-15 10:45:37 +0200 (Mon, 15 Apr 2019) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkic/pso-releasenotes.txt
   M /trunk/Pipelines/hawki/hawkip/configure.ac

updated to version 2.4.6 as version 2.4.5 was tagged


------------------------------------------------------------------------
r239423 | agabasch | 2019-04-15 10:25:08 +0200 (Mon, 15 Apr 2019) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

updated


------------------------------------------------------------------------
r238066 | agabasch | 2019-03-20 15:43:23 +0100 (Wed, 20 Mar 2019) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_detector_noise.c

Wsign-compare warning fixed


------------------------------------------------------------------------
r238061 | agabasch | 2019-03-20 15:10:16 +0100 (Wed, 20 Mar 2019) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

update


------------------------------------------------------------------------
r238060 | agabasch | 2019-03-20 15:03:27 +0100 (Wed, 20 Mar 2019) | 12 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_detector_noise.c

PIPE-8343: The "." in the QC parameters
ESO QC RON XXX
and
ESO QC GAIN XXX 
have been replaced by a "-", thus

QC RON CHIP1.INT1
becomes for example
QC RON CHIP1-INT1



------------------------------------------------------------------------
r235732 | agabasch | 2019-02-07 13:02:46 +0100 (Thu, 07 Feb 2019) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkic/pso-releasenotes.txt
   M /trunk/Pipelines/hawki/hawkip/configure.ac

update to version 2.4.5 as version 2.4.4 was tagged


------------------------------------------------------------------------
r235730 | agabasch | 2019-02-07 12:58:55 +0100 (Thu, 07 Feb 2019) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

updated


------------------------------------------------------------------------
r233828 | agabasch | 2018-12-13 16:00:25 +0100 (Thu, 13 Dec 2018) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

PIPE-8182: Default values for init_stk_nfst changed from 30 to 300



------------------------------------------------------------------------
r231848 | agabasch | 2018-11-13 09:07:11 +0100 (Tue, 13 Nov 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

check added for NULL pointer input


------------------------------------------------------------------------
r231655 | agabasch | 2018-11-08 17:35:38 +0100 (Thu, 08 Nov 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_bkg.cc

cppcheck update


------------------------------------------------------------------------
r231654 | agabasch | 2018-11-08 17:27:03 +0100 (Thu, 08 Nov 2018) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_bkg.cc

cppcheck suppression updated

------------------------------------------------------------------------
r231653 | agabasch | 2018-11-08 17:18:58 +0100 (Thu, 08 Nov 2018) | 7 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_bkg.cc

Supression for a flase positive detected by cppcheck added to the code
by using:

//cppcheck-suppress memleak



------------------------------------------------------------------------
r231650 | agabasch | 2018-11-08 16:28:57 +0100 (Thu, 08 Nov 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_bkg.cc

removing a false positive detected by cppcheck


------------------------------------------------------------------------
r231649 | agabasch | 2018-11-08 16:14:28 +0100 (Thu, 08 Nov 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_load.c

memory leak detected by cppcheck closed


------------------------------------------------------------------------
r231648 | agabasch | 2018-11-08 16:09:02 +0100 (Thu, 08 Nov 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_alloc.c

closing possible memory leak detected by cppcheck


------------------------------------------------------------------------
r231640 | agabasch | 2018-11-08 15:35:08 +0100 (Thu, 08 Nov 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_gendist.c

memory leak closed


------------------------------------------------------------------------
r231638 | agabasch | 2018-11-08 15:29:04 +0100 (Thu, 08 Nov 2018) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_photom_2mass.c

compiler warnings fixed - one was a real bug



------------------------------------------------------------------------
r231415 | agabasch | 2018-11-06 11:54:31 +0100 (Tue, 06 Nov 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/autogen.sh
   M /trunk/Pipelines/amber/amberp/bootstrap
   A /trunk/Pipelines/common/hdrl/autogen.sh
   M /trunk/Pipelines/common/hdrl/bootstrap
   A /trunk/Pipelines/esotk/esotkp/autogen.sh
   M /trunk/Pipelines/esotk/esotkp/bootstrap
   M /trunk/Pipelines/hawki/hawkip/autogen.sh
   M /trunk/Pipelines/hawki/hawkip/bootstrap
   A /trunk/Pipelines/hdrldemo/hdrldemop/autogen.sh
   M /trunk/Pipelines/hdrldemo/hdrldemop/bootstrap
   M /trunk/Pipelines/iiinstrument/iiinstrumentp/bootstrap
   M /trunk/Pipelines/matisse/matissep/autogen.sh
   M /trunk/Pipelines/matisse/matissep/bootstrap
   M /trunk/Pipelines/midi/midip/autogen.sh
   M /trunk/Pipelines/midi/midip/bootstrap
   M /trunk/Pipelines/omega/omegap/autogen.sh
   M /trunk/Pipelines/omega/omegap/bootstrap
   M /trunk/Pipelines/pioni/pionip/autogen.sh
   M /trunk/Pipelines/pioni/pionip/bootstrap
   A /trunk/Pipelines/vcam/vcamp/autogen.sh
   M /trunk/Pipelines/vcam/vcamp/bootstrap

bootstrap and autgen.sh content aligned in all my pipelines


------------------------------------------------------------------------
r231249 | agabasch | 2018-10-31 08:40:16 +0100 (Wed, 31 Oct 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/common/casu/ChangeLog
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

Changelog has been updated


------------------------------------------------------------------------
r231240 | agabasch | 2018-10-30 19:57:48 +0100 (Tue, 30 Oct 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip

external of irplib changed to use HEAD


------------------------------------------------------------------------
r231164 | agabasch | 2018-10-30 08:44:44 +0100 (Tue, 30 Oct 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_linearity_analyse.c

compiler warning fixed


------------------------------------------------------------------------
r231163 | agabasch | 2018-10-30 08:15:33 +0100 (Tue, 30 Oct 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils_legacy.c

fixing a compiler warning


------------------------------------------------------------------------
r231135 | agabasch | 2018-10-29 17:15:29 +0100 (Mon, 29 Oct 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_standard_process.c

compiler warnings fixed: fallback solution "none" for catalogs added


------------------------------------------------------------------------
r231102 | agabasch | 2018-10-29 13:10:33 +0100 (Mon, 29 Oct 2018) | 9 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_postprocess.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_standard_process.c

compiler warnings related to strncpy() fixed.
fix for fixed stringlength of 8:

strncpy(name,...,8);
->
strncpy(name,...,8-1);
name[8-1] = '\0';


------------------------------------------------------------------------
r231023 | agabasch | 2018-10-26 15:51:57 +0200 (Fri, 26 Oct 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_dark_combine.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_postprocess.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

compiler flags added and compiler warnings removed


------------------------------------------------------------------------
r228451 | agabasch | 2018-09-07 15:58:11 +0200 (Fri, 07 Sep 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

warning fixed


------------------------------------------------------------------------
r228449 | agabasch | 2018-09-07 15:48:10 +0200 (Fri, 07 Sep 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/tests/hawki_distortion-test.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_extinction.c

warnings fixed


------------------------------------------------------------------------
r228445 | agabasch | 2018-09-07 15:29:26 +0200 (Fri, 07 Sep 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_extinction.c

type corrected: returr -> return


------------------------------------------------------------------------
r228435 | agabasch | 2018-09-07 14:01:03 +0200 (Fri, 07 Sep 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils_legacy.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_distortion.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_photom_2mass.c

compiler warings fixed


------------------------------------------------------------------------
r228432 | agabasch | 2018-09-07 13:40:29 +0200 (Fri, 07 Sep 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_image_stats.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_compute_bkg.cc

compiler warning fixed


------------------------------------------------------------------------
r224127 | agabasch | 2018-06-20 14:15:58 +0200 (Wed, 20 Jun 2018) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkic/pso-releasenotes.txt
   M /trunk/Pipelines/hawki/hawkim/improvements.tex
   M /trunk/Pipelines/hawki/hawkip/configure.ac

update to version 2.4.4 as version 2.4.3 was tagged 

------------------------------------------------------------------------
r224120 | agabasch | 2018-06-20 13:19:57 +0200 (Wed, 20 Jun 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

update


------------------------------------------------------------------------
r224005 | agabasch | 2018-06-19 09:23:07 +0200 (Tue, 19 Jun 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/NEWS

update


------------------------------------------------------------------------
r223980 | agabasch | 2018-06-18 16:39:27 +0200 (Mon, 18 Jun 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_sci_jitter.c

warning fixed


------------------------------------------------------------------------
r223971 | agabasch | 2018-06-18 15:51:19 +0200 (Mon, 18 Jun 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_sci_jitter.c

compiler warning fixed


------------------------------------------------------------------------
r223959 | agabasch | 2018-06-18 13:20:48 +0200 (Mon, 18 Jun 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/NEWS

update


------------------------------------------------------------------------
r223891 | agabasch | 2018-06-15 14:07:57 +0200 (Fri, 15 Jun 2018) | 5 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

PIPE-7434: workflow has been updated accorting to ticket PIPE-7434

More tests need to be done to verify 


------------------------------------------------------------------------
r223576 | agabasch | 2018-06-11 13:36:06 +0200 (Mon, 11 Jun 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

updated


------------------------------------------------------------------------
r223575 | agabasch | 2018-06-11 13:33:57 +0200 (Mon, 11 Jun 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_postprocess.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_standard_process.c

CASUEXPT has been replaced by EFF_EXPT


------------------------------------------------------------------------
r222137 | agabasch | 2018-05-02 12:40:27 +0200 (Wed, 02 May 2018) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/NEWS

update

------------------------------------------------------------------------
r222136 | agabasch | 2018-05-02 12:35:50 +0200 (Wed, 02 May 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkic/pso-releasenotes.txt
   M /trunk/Pipelines/hawki/hawkip/configure.ac

version number increased to 2.4.3 as 2.4.2 was tagged


------------------------------------------------------------------------
r222103 | agabasch | 2018-04-30 13:37:15 +0200 (Mon, 30 Apr 2018) | 7 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_science_process_interact.py
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_standard_process_interact.py

PIPE-7822: The number of extensions can be larger then 4 if
information from the AO system are inherited - which causes an abort
of the GUI. Therfore the number of extension to be plotted in the
python GUI are limited to the first 4 extensions.



------------------------------------------------------------------------
r214258 | agabasch | 2018-01-08 13:26:05 +0100 (Mon, 08 Jan 2018) | 8 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.h
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

PIPE-7593: At the end of the recipe the newly created function
hawki_propagate_aoextensions() tries to find the AO extension
SPARTA_ATM_DATA and TCS_DATA. If they are present and if they are
binary tables, they get propagated to some of the recipe products -
see ticket.



------------------------------------------------------------------------
r213941 | agabasch | 2018-01-02 12:47:20 +0100 (Tue, 02 Jan 2018) | 7 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip

irplib external revision changed:

old: ^/trunk/Pipelines/common/irplib@153916   irplib

new: ^/trunk/Pipelines/common/irplib@210737   irplib


------------------------------------------------------------------------
r213937 | agabasch | 2018-01-02 10:50:39 +0100 (Tue, 02 Jan 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/NEWS

update


------------------------------------------------------------------------
r213936 | agabasch | 2018-01-02 10:41:04 +0100 (Tue, 02 Jan 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

update


------------------------------------------------------------------------
r212628 | agabasch | 2017-12-04 15:51:55 +0100 (Mon, 04 Dec 2017) | 18 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

PROP124245: If dedicated sky observations are in the SOF, the normal
catalogue and standard-star-match catalogue of the dedicated sky
frames are overwriting the science catalogues. This is the case if the
recipe parameter "prettynames" are set to false (ESO standard) because
in this case the name of the sky and science file are identical - as
can be seen on the dumped frameset (first row == number of
occurrences):

      2   exp_cat_1.fits      OBJECT_CATALOGUE_SCI  CPL_FRAME_TYPE_TABLE  CPL_FRAME_GROUP_PRODUCT  CPL_FRAME_LEVEL_FINAL  
      2   exp_cat_2.fits      OBJECT_CATALOGUE_SCI  CPL_FRAME_TYPE_TABLE  CPL_FRAME_GROUP_PRODUCT  CPL_FRAME_LEVEL_FINAL  
      2   exp_mstd_a_1.fits   MATCHSTD_ASTROM       CPL_FRAME_TYPE_TABLE  CPL_FRAME_GROUP_PRODUCT  CPL_FRAME_LEVEL_FINAL  
      2   exp_mstd_a_2.fits   MATCHSTD_ASTROM       CPL_FRAME_TYPE_TABLE  CPL_FRAME_GROUP_PRODUCT  CPL_FRAME_LEVEL_FINAL  

This has been fixed: The corresponding files for the dedicated sky
observations are not anymore saved.



------------------------------------------------------------------------
r212265 | agabasch | 2017-11-28 13:13:42 +0100 (Tue, 28 Nov 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkic/pso-releasenotes.txt
   M /trunk/Pipelines/hawki/hawkip/configure.ac

update to version 2.4.2 as 2.4.1 was tagged


------------------------------------------------------------------------
r211986 | agabasch | 2017-11-22 16:28:02 +0100 (Wed, 22 Nov 2017) | 14 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

PIPE-7493: fix as proposed by Lodovico:

- All composite actors with intereactivity: remove RestoreInteractivity.
- Composite Actor SciencePostprocess --> CompositeActor CrateInitialSop
  remove the parameter value.

The Script to get from hawki.xml to hawki.xml.in was:

perl -i -p -e 's|hawki-2.4.1|hawki-\@VERSION\@|g' hawki.xml
perl -i -p -e 's|/scratch2/agabasch/cpl|\@prefix\@|g' hawki.xml
perl -i -p -e 's|HAWK-I Workflow \(v. 2.4.1\)|HAWK-I Workflow \(v. \@VERSION\@\)|g' hawki.xml



------------------------------------------------------------------------
r211977 | agabasch | 2017-11-22 14:44:51 +0100 (Wed, 22 Nov 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.oca

PIPE-7493: fix as proposed by Lodovico


------------------------------------------------------------------------
r211867 | agabasch | 2017-11-21 08:50:27 +0100 (Tue, 21 Nov 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

update of the ChangeLog


------------------------------------------------------------------------
r211866 | agabasch | 2017-11-21 08:34:15 +0100 (Tue, 21 Nov 2017) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkic/pso-releasenotes.txt
   M /trunk/Pipelines/hawki/hawkip/configure.ac

preparing release 2.4.1 supporting AO raw data with mor then 4
extensions


------------------------------------------------------------------------
r211836 | agabasch | 2017-11-20 14:57:26 +0100 (Mon, 20 Nov 2017) | 6 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.h

PIPE-7478: Adaptiv optic data are added a new extensions to the raw
files and thus the pipeline check for the number of extensions had to
be modified. If a file has more than 4 extensions all extensions > 4
are ignored


------------------------------------------------------------------------
r204923 | agabasch | 2017-07-10 10:10:01 +0200 (Mon, 10 Jul 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

updated


------------------------------------------------------------------------
r204918 | agabasch | 2017-07-10 09:06:33 +0200 (Mon, 10 Jul 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkic/pso-releasenotes.txt
   M /trunk/Pipelines/hawki/hawkip/configure.ac

update to version number 2.4.0


------------------------------------------------------------------------
r204874 | agabasch | 2017-07-07 15:19:10 +0200 (Fri, 07 Jul 2017) | 6 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_postprocess.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

PIPE-7270: The new qc parameter QC.MAGZPT.TEL has been added for the
products that also have QC.MAGZPT. QC.MAGZPT.TEL is based on QC.MAGZPT
but corrected for NDIT, i.e.  QC.MAGZPT.TEL = QC.MAGZPT + 2.5 *
log10(NDIT).


------------------------------------------------------------------------
r204818 | agabasch | 2017-07-06 15:49:27 +0200 (Thu, 06 Jul 2017) | 7 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_postprocess.c

PIPE-7273: Phase 3 header parameter has been modified as described in
the Ticket: PHOTZP_new = PHOTZP_old + 2.5*log(CASUEXPT) - DRS.EXTINCT
The wrong header entry (PHOTZP and PSF_FWHM) for the
science_postprocess variance map and confidence map has been removed



------------------------------------------------------------------------
r204606 | agabasch | 2017-06-30 14:47:29 +0200 (Fri, 30 Jun 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

invalid read (out of boundary access) fixed - deteted with address sanitizer


------------------------------------------------------------------------
r204605 | agabasch | 2017-06-30 14:44:11 +0200 (Fri, 30 Jun 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_standard_process.c

invalid read (out of boundary access) fixed - deteted with address sanitizer


------------------------------------------------------------------------
r203394 | agabasch | 2017-05-31 08:27:43 +0200 (Wed, 31 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

updated


------------------------------------------------------------------------
r203361 | agabasch | 2017-05-30 13:21:36 +0200 (Tue, 30 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkic/pso-releasenotes.txt
   M /trunk/Pipelines/hawki/hawkip/configure.ac

pipeline version number increased to 2.3.0


------------------------------------------------------------------------
r203345 | agabasch | 2017-05-30 12:01:57 +0200 (Tue, 30 May 2017) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

small bugfix wich caused as a side-effect the modification of the
exposure time due to an cpl error set by this bug.


------------------------------------------------------------------------
r203300 | agabasch | 2017-05-29 11:15:41 +0200 (Mon, 29 May 2017) | 5 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits.c

PIPE-7241 Fixed: The check of the CPL_ERROR in the filter function
introduced a problem if another error was already set. No the function
only checks if the error changes.


------------------------------------------------------------------------
r202544 | agabasch | 2017-05-11 15:00:02 +0200 (Thu, 11 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_standard_process.c

small bugfix in the comment of ESO QC ZPOINT


------------------------------------------------------------------------
r202443 | agabasch | 2017-05-10 09:14:17 +0200 (Wed, 10 May 2017) | 13 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_standard_process.c

2 new QC keywords added:

ESO.QC.AXT0.TEL
ESO.QC.ZPOINT.TEL

both are derived by

ESO.QC.AXT0.TEL = ESO.QC.AXT0 + 2.5 * log10(DET.NDIT)
ESO.QC.ZPOINT.TEL = ESO.QC.ZPOINT + 2.5 * log10(DET.NDIT)

The keywords derive the NDIT indipendent Telescope zeropoint 


------------------------------------------------------------------------
r202034 | agabasch | 2017-05-02 17:02:18 +0200 (Tue, 02 May 2017) | 5 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits.c

A check when reading the filter has been added. The routine was
terminating with a core dump if the pointer passed to the function was
NULL


------------------------------------------------------------------------
r200876 | agabasch | 2017-04-13 10:45:53 +0200 (Thu, 13 Apr 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

update


------------------------------------------------------------------------
r200474 | agabasch | 2017-04-05 15:50:03 +0200 (Wed, 05 Apr 2017) | 6 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/Makefile.am
   M /trunk/Pipelines/hawki/hawkip/acinclude.m4
   M /trunk/Pipelines/hawki/hawkip/configure.ac
   A /trunk/Pipelines/hawki/hawkip/scripts
   A /trunk/Pipelines/hawki/hawkip/scripts/Makefile.am
   A /trunk/Pipelines/hawki/hawkip/scripts/update_procatg.py

update_procatg.py script added to the distribution. Depending on the
pipeline version number it gets installed under

--prefix/share/esopipes/hawki-2.2.0/scripts/update_procatg.py


------------------------------------------------------------------------
r200444 | agabasch | 2017-04-05 13:24:39 +0200 (Wed, 05 Apr 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkic/pso-releasenotes.txt
   M /trunk/Pipelines/hawki/hawkip/configure.ac

version number updated to 2.2.0


------------------------------------------------------------------------
r198522 | agabasch | 2017-03-02 14:00:30 +0100 (Thu, 02 Mar 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

updated


------------------------------------------------------------------------
r198521 | agabasch | 2017-03-02 13:56:51 +0100 (Thu, 02 Mar 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkic/pso-releasenotes.txt
   M /trunk/Pipelines/hawki/hawkip/configure.ac

version number increased to 2.1.1


------------------------------------------------------------------------
r196752 | agabasch | 2017-02-10 14:55:19 +0100 (Fri, 10 Feb 2017) | 1 line
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/ChangeLog

updated
------------------------------------------------------------------------
r196087 | agabasch | 2017-01-31 12:31:12 +0100 (Tue, 31 Jan 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkip/configure.ac
   M /trunk/Pipelines/omega/omegac/gasgano/OMEGA.prefs
   M /trunk/Pipelines/omega/omegac/oca/omega.properties
   M /trunk/Pipelines/omega/omegap/configure.ac
   M /trunk/Pipelines/vcam/vcamc/gasgano/VCAM.prefs
   M /trunk/Pipelines/vcam/vcamc/oca/vcam.properties
   M /trunk/Pipelines/vcam/vcamp/configure.ac

Version number increase to be able to build a new rpm


------------------------------------------------------------------------
r195979 | agabasch | 2017-01-27 14:34:18 +0100 (Fri, 27 Jan 2017) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkip/configure.ac

version number increased from 2.0.8 to 2.0.8 for automatic rpm
re-creation


------------------------------------------------------------------------
r195807 | agabasch | 2017-01-24 14:47:51 +0100 (Tue, 24 Jan 2017) | 16 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_detector_noise.c

PIPE-6966: The following quality control parameter are extracted from
the table and added to the first-extension product header

dfits -x 1 readgain.fits | grep "ESO QC"

HIERARCH ESO QC RON CHIP1.INT1 = 9.705353 / Read-out noise in ADU
HIERARCH ESO QC GAIN CHIP1.INT1 = 2.088389 / Gain in e-/ADU
HIERARCH ESO QC RON CHIP2.INT1 = 8.859035 / Read-out noise in ADU
HIERARCH ESO QC GAIN CHIP2.INT1 = 2.203652 / Gain in e-/ADU
HIERARCH ESO QC RON CHIP3.INT1 = 8.125013 / Read-out noise in ADU
HIERARCH ESO QC GAIN CHIP3.INT1 = 2.115451 / Gain in e-/ADU
HIERARCH ESO QC RON CHIP4.INT1 = 8.188916 / Read-out noise in ADU
HIERARCH ESO QC GAIN CHIP4.INT1 = 2.509181 / Gain in e-/ADU



------------------------------------------------------------------------
r195670 | agabasch | 2017-01-20 11:17:48 +0100 (Fri, 20 Jan 2017) | 1 line
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

PIPE-6943: FLUXCAL header keyword removed from JITTERED_VAR_IMAGE and CONFIDENCE_MAP_JITTERED 
------------------------------------------------------------------------
r195668 | agabasch | 2017-01-20 10:54:59 +0100 (Fri, 20 Jan 2017) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_postprocess.c

Bugfix when updating PSF_FWHM - casu_tfits_XXX function used instead
of casu_fits_XXX


------------------------------------------------------------------------
r195667 | agabasch | 2017-01-20 10:44:44 +0100 (Fri, 20 Jan 2017) | 1 line
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

PIPE-6943: updating the FLUXCAL header keyword for OBJECT_CATALOGUE_JITTERED as is was incorrect
------------------------------------------------------------------------
r195660 | agabasch | 2017-01-20 10:04:19 +0100 (Fri, 20 Jan 2017) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_postprocess.c

PIPE-6943: bugfix for the exposure time keywords EXPTIME TEXPTIME CASUTIME
for TILED_CONFIDENCE_MAP


------------------------------------------------------------------------
r195650 | agabasch | 2017-01-20 08:27:44 +0100 (Fri, 20 Jan 2017) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

PIPE-6943: bugfix for the exposure time keywords EXPTIME TEXPTIME CASUTIME
for CONFIDENCE_MAP_JITTERED 


------------------------------------------------------------------------
r195637 | agabasch | 2017-01-19 16:03:22 +0100 (Thu, 19 Jan 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_postprocess.c

PIPE-6943: EXPTIME and TEXPTIME fixed for product TILED_OBJECT_CATALOGUE


------------------------------------------------------------------------
r195606 | agabasch | 2017-01-19 13:20:14 +0100 (Thu, 19 Jan 2017) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

PIPE-6943: added FILTER keyword for OBJECT_CATALOGUE_JITTERED and
CONFIDENCE_MAP_JITTERED


------------------------------------------------------------------------
r195403 | agabasch | 2017-01-13 09:42:13 +0100 (Fri, 13 Jan 2017) | 2 lines
Changed paths:
   M /trunk/Pipelines/amber/amberc/gasgano/AMBER.prefs
   M /trunk/Pipelines/amber/amberc/oca/amber.properties
   M /trunk/Pipelines/amber/amberp/configure.ac
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkip/configure.ac
   M /trunk/Pipelines/midi/midic/gasgano/MIDI.prefs
   M /trunk/Pipelines/midi/midic/oca/midi.properties
   M /trunk/Pipelines/midi/midip/configure.ac
   M /trunk/Pipelines/omega/omegac/gasgano/OMEGA.prefs
   M /trunk/Pipelines/omega/omegac/oca/omega.properties
   M /trunk/Pipelines/omega/omegap/configure.ac
   M /trunk/Pipelines/pioni/pionic/oca/pioni.properties
   M /trunk/Pipelines/pioni/pionip/configure.ac
   M /trunk/Pipelines/vcam/vcamc/gasgano/VCAM.prefs
   M /trunk/Pipelines/vcam/vcamc/oca/vcam.properties
   M /trunk/Pipelines/vcam/vcamp/configure.ac

increasing version number for new kit rpm creation

------------------------------------------------------------------------
r195133 | agabasch | 2017-01-03 14:44:07 +0100 (Tue, 03 Jan 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkip/configure.ac

version number increased


------------------------------------------------------------------------
r194694 | cgarcia | 2016-12-15 18:51:08 +0100 (Thu, 15 Dec 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_distortion.c

Set author to ESO Pipeline Group

------------------------------------------------------------------------
r194692 | cgarcia | 2016-12-15 18:49:08 +0100 (Thu, 15 Dec 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_extinction.c

Set author to ESO Pipeline Group

------------------------------------------------------------------------
r194691 | cgarcia | 2016-12-15 18:48:26 +0100 (Thu, 15 Dec 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_zpoint.c

Set author to ESO Pipeline Group

------------------------------------------------------------------------
r194690 | cgarcia | 2016-12-15 18:47:40 +0100 (Thu, 15 Dec 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_compute_bkg.cc
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_subtract_bkg.c

Set author to ESO Pipeline Group

------------------------------------------------------------------------
r194264 | cgarcia | 2016-12-07 10:19:57 +0100 (Wed, 07 Dec 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Bumped version

------------------------------------------------------------------------
r194180 | cgarcia | 2016-12-05 13:15:26 +0100 (Mon, 05 Dec 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.oca

Do associate the calibration files from calibFiles. In Reflex calibFiles and inputFiles are actually the same, but this way it is more in line with DO OCA rules.

------------------------------------------------------------------------
r193927 | cgarcia | 2016-11-28 18:02:05 +0100 (Mon, 28 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Bumped version

------------------------------------------------------------------------
r193926 | cgarcia | 2016-11-28 18:01:12 +0100 (Mon, 28 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Further substitutions for proper paths

------------------------------------------------------------------------
r193925 | cgarcia | 2016-11-28 17:58:47 +0100 (Mon, 28 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Do proper subsitution of python scripts paths

------------------------------------------------------------------------
r193922 | cgarcia | 2016-11-28 17:50:42 +0100 (Mon, 28 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Fixed typo

------------------------------------------------------------------------
r193918 | cgarcia | 2016-11-28 17:00:47 +0100 (Mon, 28 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits.c

Fix problem with string copy reported by valgrind.
Fixes PIPE-6901

------------------------------------------------------------------------
r193912 | cgarcia | 2016-11-28 15:57:35 +0100 (Mon, 28 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Bumped version to 2.0.4

------------------------------------------------------------------------
r193911 | cgarcia | 2016-11-28 15:56:07 +0100 (Mon, 28 Nov 2016) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Do not set a default dir for the 2mass and ppxml catalogues.
If the user wants local catalogues, they can install them and set them up
in the place they want.

------------------------------------------------------------------------
r193910 | cgarcia | 2016-11-28 15:54:02 +0100 (Mon, 28 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.oca

Support having a master readgain table in the static calibration 
directory.

------------------------------------------------------------------------
r193880 | cgarcia | 2016-11-25 17:18:47 +0100 (Fri, 25 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/tests/Makefile.am

Added CASU libraries to test dependencies

------------------------------------------------------------------------
r193864 | cgarcia | 2016-11-25 16:27:51 +0100 (Fri, 25 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Bumped version

------------------------------------------------------------------------
r193863 | cgarcia | 2016-11-25 16:27:04 +0100 (Fri, 25 Nov 2016) | 5 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

Get an estimate of the FWHM if there are not enough stars:
- if there are extensions with a valid FWHM, assign the mean to the rest
- if there are valid FWHM, use the value form the DIMM.
Fixes partially PIPE-6719

------------------------------------------------------------------------
r193857 | cgarcia | 2016-11-25 15:56:50 +0100 (Fri, 25 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_postprocess.c

Update the PSF from the DIMM in cases where not enough stars exist.
Fixes partially PIPE-6719

------------------------------------------------------------------------
r193856 | cgarcia | 2016-11-25 15:37:09 +0100 (Fri, 25 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_fwhm.c

Added extra functionality to compute the fwhm from the DIMM.
Fixes partially PIPE-6719

------------------------------------------------------------------------
r193855 | cgarcia | 2016-11-25 15:36:11 +0100 (Fri, 25 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_fwhm.h

Added extra functionality needed to compute the FWHM from the DIMM monitor

------------------------------------------------------------------------
r193722 | cgarcia | 2016-11-23 14:59:10 +0100 (Wed, 23 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_fwhm.c

Added function to retrieve the central wavelength for a given filter

------------------------------------------------------------------------
r193705 | cgarcia | 2016-11-23 11:32:11 +0100 (Wed, 23 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/Makefile.am

Added hawki_fwhm files

------------------------------------------------------------------------
r193703 | cgarcia | 2016-11-23 11:26:33 +0100 (Wed, 23 Nov 2016) | 3 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_fwhm.c
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_fwhm.h

New files with functionality to compute fwhm from dimm fwhm.
Fixes partially PIPE-6719

------------------------------------------------------------------------
r193694 | cgarcia | 2016-11-22 20:08:38 +0100 (Tue, 22 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_postprocess.c

Fix the values of PRODCATG and ASSOC1/2 for some of the products.
Fixes partially PIPE-6716

------------------------------------------------------------------------
r193693 | cgarcia | 2016-11-22 19:30:41 +0100 (Tue, 22 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c

Fix the PRODCATG and ASSOC1/2 keywords for some of the products.
Fixes PIPE-6716

------------------------------------------------------------------------
r193599 | cgarcia | 2016-11-21 13:43:33 +0100 (Mon, 21 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Use RAW_DATA_DIR which is the standard nomenclature

------------------------------------------------------------------------
r193587 | cgarcia | 2016-11-21 11:55:35 +0100 (Mon, 21 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Reinstantiate the DataSetChooser, to avoid obsolete 
configuration in the XML

------------------------------------------------------------------------
r193585 | cgarcia | 2016-11-21 11:36:59 +0100 (Mon, 21 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.oca

Convert the file to unix format with dos2unix

------------------------------------------------------------------------
r193584 | cgarcia | 2016-11-21 11:35:18 +0100 (Mon, 21 Nov 2016) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.oca

Remove redundant MASTER_READGAIN association. Keep the one 
created by the workflow, although it is not marked as 
mandatory (minRet = 0)

------------------------------------------------------------------------
r193559 | cgarcia | 2016-11-18 16:11:34 +0100 (Fri, 18 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Fixed typo in the SelectDatasetMethod var 

------------------------------------------------------------------------
r193494 | cgarcia | 2016-11-17 18:57:41 +0100 (Thu, 17 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Bumped version

------------------------------------------------------------------------
r193480 | cgarcia | 2016-11-17 18:10:49 +0100 (Thu, 17 Nov 2016) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkip/Makefile.purify.in

Remove makefile for purify

------------------------------------------------------------------------
r193479 | cgarcia | 2016-11-17 18:10:29 +0100 (Thu, 17 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Remove support for purify

------------------------------------------------------------------------
r193473 | cgarcia | 2016-11-17 17:44:20 +0100 (Thu, 17 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/Makefile.am

Add GSL includes to compiler flags

------------------------------------------------------------------------
r193463 | cgarcia | 2016-11-17 16:32:51 +0100 (Thu, 17 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Bumped version

------------------------------------------------------------------------
r193462 | cgarcia | 2016-11-17 16:32:29 +0100 (Thu, 17 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Use the GSL_CHECK_LIBS macro rather than CPL_CHECK_GSL. The later defines
GSL_CFLAGS, which is not supported by irplib.

------------------------------------------------------------------------
r193460 | cgarcia | 2016-11-17 16:03:45 +0100 (Thu, 17 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Remove purify support

------------------------------------------------------------------------
r193448 | cgarcia | 2016-11-17 15:04:26 +0100 (Thu, 17 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Fixed typo

------------------------------------------------------------------------
r193445 | cgarcia | 2016-11-17 14:56:15 +0100 (Thu, 17 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Bumped version

------------------------------------------------------------------------
r193400 | cgarcia | 2016-11-15 18:11:02 +0100 (Tue, 15 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Set the paths to raw data properly

------------------------------------------------------------------------
r193329 | cgarcia | 2016-11-14 15:25:14 +0100 (Mon, 14 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Further porting into Reflex 2.8: Add the SetInitialLoopParam actor.

------------------------------------------------------------------------
r193327 | cgarcia | 2016-11-14 15:18:02 +0100 (Mon, 14 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Use init_ as a prefix for the parameter variables.

------------------------------------------------------------------------
r193326 | cgarcia | 2016-11-14 15:15:47 +0100 (Mon, 14 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Use init_ prefix for the parameters variables.

------------------------------------------------------------------------
r193285 | cgarcia | 2016-11-10 17:52:31 +0100 (Thu, 10 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Renaming init variables to a init_ scheme. Not done with all od them yet.

------------------------------------------------------------------------
r193281 | cgarcia | 2016-11-10 17:25:57 +0100 (Thu, 10 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_master_dark_interact.py
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_master_flat_interact.py
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_master_readgain_interact.py
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_science_postprocess_interact.py
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_science_process_interact.py
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki_standard_process_interact.py

Add support for initializing the sop from the interactive app

------------------------------------------------------------------------
r193252 | cgarcia | 2016-11-09 19:19:15 +0100 (Wed, 09 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Further porint into Reflex 2.8

------------------------------------------------------------------------
r193243 | cgarcia | 2016-11-09 16:54:37 +0100 (Wed, 09 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Properly substitute the pipeline version number

------------------------------------------------------------------------
r193242 | cgarcia | 2016-11-09 16:52:53 +0100 (Wed, 09 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Text on the Global Parameters has been updated.
Layout of parameters following the iiinstrument template.

------------------------------------------------------------------------
r193188 | cgarcia | 2016-11-08 18:02:08 +0100 (Tue, 08 Nov 2016) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Further porting into Reflex 2.8:
new CloseDataset subworkflow.
removed stdout port from python actors

------------------------------------------------------------------------
r193187 | cgarcia | 2016-11-08 17:52:33 +0100 (Tue, 08 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Further porting into Reflex 2.8.
Remove unnecesary String Accumulater actors

------------------------------------------------------------------------
r193090 | cgarcia | 2016-11-07 13:31:22 +0100 (Mon, 07 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Changed the names of the python actors.

------------------------------------------------------------------------
r193088 | cgarcia | 2016-11-07 13:03:17 +0100 (Mon, 07 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in

Ported partially to Reflex 2.8

------------------------------------------------------------------------
r192986 | cgarcia | 2016-11-03 12:47:14 +0100 (Thu, 03 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_twilight_flat_combine.c

Fixed compiler warnings

------------------------------------------------------------------------
r192984 | cgarcia | 2016-11-03 12:40:12 +0100 (Thu, 03 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_detector_noise.c

Fixed warnings

------------------------------------------------------------------------
r192983 | cgarcia | 2016-11-03 12:39:31 +0100 (Thu, 03 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_dark_combine.c

Fixed compiler warning

------------------------------------------------------------------------
r192982 | cgarcia | 2016-11-03 12:37:59 +0100 (Thu, 03 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_linearity_analyse.c

Remove compiler warnings

------------------------------------------------------------------------
r192979 | cgarcia | 2016-11-03 12:11:58 +0100 (Thu, 03 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/tests/hawki_image-test.c

Removed unused var

------------------------------------------------------------------------
r192977 | cgarcia | 2016-11-03 12:11:04 +0100 (Thu, 03 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils_legacy.c

Fixed compiler warnings

------------------------------------------------------------------------
r192976 | cgarcia | 2016-11-03 12:07:31 +0100 (Thu, 03 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs.c

Fixed compiler warning

------------------------------------------------------------------------
r192974 | cgarcia | 2016-11-03 11:42:52 +0100 (Thu, 03 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_image.c

Fixed compiler warnings

------------------------------------------------------------------------
r192973 | cgarcia | 2016-11-03 11:38:42 +0100 (Thu, 03 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_bkg.cc

Fixed compiler warning

------------------------------------------------------------------------
r192950 | cgarcia | 2016-11-02 18:46:35 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/Makefile.am

Fixed typo

------------------------------------------------------------------------
r192949 | cgarcia | 2016-11-02 18:46:21 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkip/reflex/hawki_master_dark_interact.py (from /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_master_dark.py:192948)
   A /trunk/Pipelines/hawki/hawkip/reflex/hawki_master_flat_interact.py (from /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_master_flat.py:192948)
   A /trunk/Pipelines/hawki/hawkip/reflex/hawki_master_readgain_interact.py (from /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_master_readgain.py:192948)
   A /trunk/Pipelines/hawki/hawkip/reflex/hawki_science_postprocess_interact.py (from /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_science_postprocess.py:192948)
   A /trunk/Pipelines/hawki/hawkip/reflex/hawki_science_process_interact.py (from /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_science_process.py:192948)
   A /trunk/Pipelines/hawki/hawkip/reflex/hawki_standard_process_interact.py (from /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_standard_process.py:192948)
   D /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_master_dark.py
   D /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_master_flat.py
   D /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_master_readgain.py
   D /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_science_postprocess.py
   D /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_science_process.py
   D /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_standard_process.py

Rename python scripts to follow naming conventions in other pipelines

------------------------------------------------------------------------
r192948 | cgarcia | 2016-11-02 18:37:19 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/Makefile.am

Fixed unit tests

------------------------------------------------------------------------
r192946 | cgarcia | 2016-11-02 18:30:37 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/tests/Makefile.am

Added tests for casu hawki library

------------------------------------------------------------------------
r192945 | cgarcia | 2016-11-02 18:26:47 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Added workflow

------------------------------------------------------------------------
r192944 | cgarcia | 2016-11-02 18:24:30 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkip/reflex/hawki-casu.oca
   D /trunk/Pipelines/hawki/hawkip/reflex/hawki-casu.xml.in

Removing these files since they have been renamed to hawki.oca hawki.xml.in

------------------------------------------------------------------------
r192942 | cgarcia | 2016-11-02 18:22:17 +0100 (Wed, 02 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/Makefile.am

Fixed typo in .la file list.
Added CPL explicit linking to casu recipes

------------------------------------------------------------------------
r192941 | cgarcia | 2016-11-02 18:21:28 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Added reflex directory

------------------------------------------------------------------------
r192938 | cgarcia | 2016-11-02 18:04:37 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_distortion.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_illum.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_compute_bkg.cc
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_extinction.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_gendist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_stdstars.c

Support for the renamed _legacy functions 

------------------------------------------------------------------------
r192937 | cgarcia | 2016-11-02 17:44:45 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/Makefile.am

Added support for legacy and CASU compilation in the same library

------------------------------------------------------------------------
r192936 | cgarcia | 2016-11-02 17:44:09 +0100 (Wed, 02 Nov 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits_legacy.h

Rename functions that clash with CASU library to _legacy


------------------------------------------------------------------------
r192935 | cgarcia | 2016-11-02 17:42:44 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs_legacy.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs_legacy.h
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits_legacy.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils_legacy.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils_legacy.h

Rename functions that clash with CASU library to _legacy

------------------------------------------------------------------------
r192931 | cgarcia | 2016-11-02 17:32:28 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/hawki/hawki_dfs.c:192927)
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs.h (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/hawki/hawki_dfs.h:192927)
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/hawki/hawki_pfits.c:192927)
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits.h (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/hawki/hawki_pfits.h:192927)
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/hawki/hawki_utils.c:192927)
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.h (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/hawki/hawki_utils.h:192927)
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_var.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/hawki/hawki_var.c:192927)
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_var.h (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/hawki/hawki_var.h:192927)
   A /trunk/Pipelines/hawki/hawkip/hawki/tests/hawki_utils-test.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/hawki/tests/hawki_utils-test.c:192927)
   A /trunk/Pipelines/hawki/hawkip/hawki/tests/hawki_var-test.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/hawki/tests/hawki_var-test.c:192927)

Copy of the casu based pipeline library

------------------------------------------------------------------------
r192925 | cgarcia | 2016-11-02 16:35:30 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_distortion.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_illum.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_lingain.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_compute_bkg.cc
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_extinction.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_gendist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_stdstars.c

Support the _legacy renamed files

------------------------------------------------------------------------
r192924 | cgarcia | 2016-11-02 16:34:51 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/Makefile.am

Support the _legacy renamed files

------------------------------------------------------------------------
r192923 | cgarcia | 2016-11-02 16:34:37 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_alloc.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_bkg.cc
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_calib.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_distortion.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_image_stats.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_load.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_match_cats.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_obj_det.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_properties_tel.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_save.c

Support _legacy renamed files

------------------------------------------------------------------------
r192922 | cgarcia | 2016-11-02 16:33:57 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs.c
   D /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs.h
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs_legacy.c (from /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs.c:192921)
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs_legacy.h (from /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs.h:192921)
   D /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits.c
   D /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits.h
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits_legacy.c (from /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits.c:192921)
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits_legacy.h (from /trunk/Pipelines/hawki/hawkip/hawki/hawki_pfits.h:192921)
   D /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.c
   D /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.h
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils_legacy.c (from /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.c:192921)
   A /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils_legacy.h (from /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.h:192921)

Renamed files to _legacy in order to avoid clashes with CASU provided ones.

------------------------------------------------------------------------
r192920 | cgarcia | 2016-11-02 16:15:58 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/acinclude.m4

Added casu symbols

------------------------------------------------------------------------
r192919 | cgarcia | 2016-11-02 16:15:49 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Added casu directories

------------------------------------------------------------------------
r192917 | cgarcia | 2016-11-02 16:06:29 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/Makefile.am

Added casu external

------------------------------------------------------------------------
r192910 | cgarcia | 2016-11-02 14:43:51 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip

Added casu externals

------------------------------------------------------------------------
r192906 | cgarcia | 2016-11-02 12:11:13 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/Makefile.am

Fixed finally formatting

------------------------------------------------------------------------
r192904 | cgarcia | 2016-11-02 11:45:14 +0100 (Wed, 02 Nov 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/Makefile.am

Fixed tab

------------------------------------------------------------------------
r192857 | cgarcia | 2016-10-28 18:47:05 +0200 (Fri, 28 Oct 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/Makefile.am

Added CASU pipeline recipes

------------------------------------------------------------------------
r192856 | cgarcia | 2016-10-28 18:44:25 +0200 (Fri, 28 Oct 2016) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkip/recipes/hawki_dark_combine.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/recipes/hawki_dark_combine.c:192852)
   A /trunk/Pipelines/hawki/hawkip/recipes/hawki_detector_noise.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/recipes/hawki_detector_noise.c:192852)
   A /trunk/Pipelines/hawki/hawkip/recipes/hawki_linearity_analyse.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/recipes/hawki_linearity_analyse.c:192852)
   A /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_postprocess.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/recipes/hawki_science_postprocess.c:192852)
   A /trunk/Pipelines/hawki/hawkip/recipes/hawki_science_process.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/recipes/hawki_science_process.c:192852)
   A /trunk/Pipelines/hawki/hawkip/recipes/hawki_standard_process.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/recipes/hawki_standard_process.c:192852)
   A /trunk/Pipelines/hawki/hawkip/recipes/hawki_twilight_flat_combine.c (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/recipes/hawki_twilight_flat_combine.c:192852)

Copy recipes from the CASU pipeline

------------------------------------------------------------------------
r192854 | cgarcia | 2016-10-28 18:32:35 +0200 (Fri, 28 Oct 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/reflex/Makefile.am

Changed to incorporate the CASU workflows

------------------------------------------------------------------------
r192853 | cgarcia | 2016-10-28 18:28:25 +0200 (Fri, 28 Oct 2016) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkip/reflex/hawki-casu.oca (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/reflex/hawki-casu.oca:192852)
   A /trunk/Pipelines/hawki/hawkip/reflex/hawki-casu.xml.in (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/reflex/hawki-casu.xml.in:192852)
   A /trunk/Pipelines/hawki/hawkip/reflex/hawki.oca (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/reflex/hawki-casu.oca:192852)
   A /trunk/Pipelines/hawki/hawkip/reflex/hawki.xml.in (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/reflex/hawki-casu.xml.in:192852)
   A /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_master_dark.py (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/reflex/interactive_window_master_dark.py:192852)
   A /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_master_flat.py (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/reflex/interactive_window_master_flat.py:192852)
   A /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_master_readgain.py (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/reflex/interactive_window_master_readgain.py:192852)
   A /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_science_postprocess.py (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/reflex/interactive_window_science_postprocess.py:192852)
   A /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_science_process.py (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/reflex/interactive_window_science_process.py:192852)
   A /trunk/Pipelines/hawki/hawkip/reflex/interactive_window_standard_process.py (from /trunk/Pipelines/in-kind/uk/hawki-uk/hawkip/reflex/interactive_window_standard_process.py:192852)

Copy Reflex support from CASU

------------------------------------------------------------------------
r192836 | cgarcia | 2016-10-28 14:15:21 +0200 (Fri, 28 Oct 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_distortion.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_illum.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_compute_bkg.cc
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_extinction.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_gendist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_stdstars.c

Added obsolete  remark to legacy recipes

------------------------------------------------------------------------
r191179 | cgarcia | 2016-09-15 15:30:14 +0200 (Thu, 15 Sep 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_load.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_gendist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_stdstars.c

Added include for setlocale()

------------------------------------------------------------------------
r191176 | cgarcia | 2016-09-15 15:22:01 +0200 (Thu, 15 Sep 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_load.c

Call setlocale(LC_NUMERIC, "C") before sscanf, in order to guarantee that
is is interpreted with the C locale

------------------------------------------------------------------------
r191174 | cgarcia | 2016-09-15 15:11:14 +0200 (Thu, 15 Sep 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_gendist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_stdstars.c

Call setlocale(LC_NUMERIC, "C") before sscanf, in order to guarantee that
is is interpreted with the C locale

------------------------------------------------------------------------
r191035 | cgarcia | 2016-09-12 18:26:25 +0200 (Mon, 12 Sep 2016) | 1 line
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_compute_bkg.cc

Remove redundant definition which causes a warning. Fixes previously commit.
------------------------------------------------------------------------
r191034 | cgarcia | 2016-09-12 18:25:59 +0200 (Mon, 12 Sep 2016) | 1 line
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_distortion.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_extinction.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_gendist.c

Remove redundant definition which causes a warning. Fixes previously commit.
------------------------------------------------------------------------
r191033 | cgarcia | 2016-09-12 18:20:49 +0200 (Mon, 12 Sep 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_compute_bkg.cc

Remove warnings

------------------------------------------------------------------------
r191032 | cgarcia | 2016-09-12 18:19:21 +0200 (Mon, 12 Sep 2016) | 1 line
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_gendist.c

Remove redundant definition which causes a warning
------------------------------------------------------------------------
r191031 | cgarcia | 2016-09-12 18:04:25 +0200 (Mon, 12 Sep 2016) | 1 line
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_extinction.c

Use cpl_error_reset rather than wrong errorstate construction
------------------------------------------------------------------------
r191030 | cgarcia | 2016-09-12 18:03:08 +0200 (Mon, 12 Sep 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_refine_offsets.c

Use cpl_error_reset rather than wrong errorstate construction

------------------------------------------------------------------------
r191029 | cgarcia | 2016-09-12 18:01:15 +0200 (Mon, 12 Sep 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c

Use cpl_error_reset rather than wrong errorstate construction


------------------------------------------------------------------------
r191028 | cgarcia | 2016-09-12 17:59:54 +0200 (Mon, 12 Sep 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_detect_obj.c

Use cpl_error_reset rather than wrong errorstate construction

------------------------------------------------------------------------
r188168 | cgarcia | 2016-06-29 10:16:37 +0200 (Wed, 29 Jun 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/Makefile.am

Added license to documentation

------------------------------------------------------------------------
r185131 | cgarcia | 2016-04-04 14:46:04 +0200 (Mon, 04 Apr 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Bumped version

------------------------------------------------------------------------
r185130 | cgarcia | 2016-04-04 14:45:43 +0200 (Mon, 04 Apr 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_zpoint.c

Fixed compilation error with newer compiler

------------------------------------------------------------------------
r184980 | cgarcia | 2016-03-31 17:46:11 +0200 (Thu, 31 Mar 2016) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkip/dfs-hawki.spec

Removed non used file

------------------------------------------------------------------------
r184965 | cgarcia | 2016-03-31 17:17:52 +0200 (Thu, 31 Mar 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Bumped version

------------------------------------------------------------------------
r184144 | cgarcia | 2016-03-09 20:00:47 +0100 (Wed, 09 Mar 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Remove -no-builtin flag which is not needed.
use -std flag rather than --std.

------------------------------------------------------------------------
r182654 | cgarcia | 2016-02-08 15:35:23 +0100 (Mon, 08 Feb 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Bumped version

------------------------------------------------------------------------
r181446 | cgarcia | 2016-01-12 11:34:08 +0100 (Tue, 12 Jan 2016) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Added silent rules if supported by automake

------------------------------------------------------------------------
r178469 | cgarcia | 2015-09-30 17:42:58 +0200 (Wed, 30 Sep 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.h

Ported to cpl_size

------------------------------------------------------------------------
r178468 | cgarcia | 2015-09-30 17:42:48 +0200 (Wed, 30 Sep 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.c

Ported to cpl_size

------------------------------------------------------------------------
r175206 | cgarcia | 2015-07-09 10:24:45 +0200 (Thu, 09 Jul 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/AUTHORS

Changed support address

------------------------------------------------------------------------
r174612 | cgarcia | 2015-06-25 11:01:52 +0200 (Thu, 25 Jun 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Set up the m4 macros directory

------------------------------------------------------------------------
r173362 | cgarcia | 2015-05-19 16:13:53 +0200 (Tue, 19 May 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Do not include Reflex workflow in configuration

------------------------------------------------------------------------
r172488 | cgarcia | 2015-04-17 18:31:50 +0200 (Fri, 17 Apr 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Bumped version

------------------------------------------------------------------------
r172461 | cgarcia | 2015-04-17 16:14:45 +0200 (Fri, 17 Apr 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/Makefile.am

Do not descend to the reflex dir

------------------------------------------------------------------------
r172460 | cgarcia | 2015-04-17 16:13:56 +0200 (Fri, 17 Apr 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Do not install any Reflex related packages

------------------------------------------------------------------------
r170469 | cgarcia | 2015-02-20 10:51:13 +0100 (Fri, 20 Feb 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

New version 1.8.17

------------------------------------------------------------------------
r170104 | cgarcia | 2015-02-13 15:19:59 +0100 (Fri, 13 Feb 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_flat.c

Fixed sscanf format

------------------------------------------------------------------------
r170103 | cgarcia | 2015-02-13 15:14:24 +0100 (Fri, 13 Feb 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_gendist.c

Close file on error

------------------------------------------------------------------------
r170102 | cgarcia | 2015-02-13 15:13:37 +0100 (Fri, 13 Feb 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_zpoint.c

Remove error with unintialize variable

------------------------------------------------------------------------
r170049 | cgarcia | 2015-02-12 13:38:28 +0100 (Thu, 12 Feb 2015) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Setting -std=c99

------------------------------------------------------------------------
r169521 | llundin | 2015-01-28 17:15:23 +0100 (Wed, 28 Jan 2015) | 1 line
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_illum.c

In call to cpl_propertylist_copy_property_regexp() "." replaces ""
------------------------------------------------------------------------
r162141 | cgarcia | 2014-06-12 14:53:35 +0200 (Thu, 12 Jun 2014) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_detect_obj.c

Merge back a change from branch hawki-sgdp-stdcalib: allow median smoothing 
before detection

------------------------------------------------------------------------
r159941 | cgarcia | 2014-04-24 16:18:19 +0200 (Thu, 24 Apr 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_distortion.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_detect_obj.c

Use the latest cpl_frameset API

------------------------------------------------------------------------
r157306 | cgarcia | 2014-02-20 14:10:48 +0100 (Thu, 20 Feb 2014) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Moved to version 1.8.14.
Use maintainer mode by default

------------------------------------------------------------------------
r157136 | cgarcia | 2014-02-18 11:30:57 +0100 (Tue, 18 Feb 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/tests/hawki_image-test.c

Added a test case for non-overlapping images

------------------------------------------------------------------------
r157132 | cgarcia | 2014-02-18 11:22:51 +0100 (Tue, 18 Feb 2014) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkip/hawki_reg/sof/123.hawki_cal_zpoint.sof

Removing dataset as it is supossed to fail

------------------------------------------------------------------------
r156998 | cgarcia | 2014-02-14 18:01:05 +0100 (Fri, 14 Feb 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_save.c

Check for cpl state 

------------------------------------------------------------------------
r156978 | cgarcia | 2014-02-14 15:31:35 +0100 (Fri, 14 Feb 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_image.c

Moved the input checks at the beginning of the function

------------------------------------------------------------------------
r156977 | cgarcia | 2014-02-14 15:30:33 +0100 (Fri, 14 Feb 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/tests/hawki_image-test.c

Added new tests with null inputs

------------------------------------------------------------------------
r156975 | cgarcia | 2014-02-14 15:11:48 +0100 (Fri, 14 Feb 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_basic_calib.c

Allow 4 digits for series numbering

------------------------------------------------------------------------
r156974 | cgarcia | 2014-02-14 15:10:03 +0100 (Fri, 14 Feb 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_basic_calib.c

Protect cpl_plugin_get_info with cplusplus directive

------------------------------------------------------------------------
r156878 | cgarcia | 2014-02-13 13:56:58 +0100 (Thu, 13 Feb 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki_reg/sof/302.hawki_step_subtract_bkg.sof

Use proper category for background frames

------------------------------------------------------------------------
r156876 | cgarcia | 2014-02-13 13:50:53 +0100 (Thu, 13 Feb 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki_reg/sof/301.hawki_step_compute_bkg.sof
   M /trunk/Pipelines/hawki/hawkip/hawki_reg/sof/302.hawki_step_subtract_bkg.sof

Use proper numbering scheme in the input files 

------------------------------------------------------------------------
r156685 | cgarcia | 2014-02-10 11:48:07 +0100 (Mon, 10 Feb 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/Makefile.am

removed setup from Makefile.am

------------------------------------------------------------------------
r156310 | cgarcia | 2014-02-04 17:23:49 +0100 (Tue, 04 Feb 2014) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkip/setup

Removing unneeded setup script

------------------------------------------------------------------------
r156275 | cgarcia | 2014-02-04 10:15:56 +0100 (Tue, 04 Feb 2014) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkip/hawki_reg/sof/130.hawki_cal_lingain.sof

Removing regression test for a deprecated recipe

------------------------------------------------------------------------
r156249 | cgarcia | 2014-02-03 11:11:21 +0100 (Mon, 03 Feb 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki_reg/sof/100.hawki_cal_dark.sof

Use only darks with same DIT,NDIT,NDSAMPLES

------------------------------------------------------------------------
r156162 | cgarcia | 2014-01-29 19:19:17 +0100 (Wed, 29 Jan 2014) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_util_gendist.c

Write MJD-OBS as double

------------------------------------------------------------------------
r155346 | cgarcia | 2013-12-17 14:53:01 +0100 (Tue, 17 Dec 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/configure.ac

Moved to 1.8.13

------------------------------------------------------------------------
r155342 | cgarcia | 2013-12-17 14:50:30 +0100 (Tue, 17 Dec 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_bkg.cc

Removed unused var. Fixes PIPE-4865

------------------------------------------------------------------------
r154048 | cgarcia | 2013-11-22 16:13:12 +0100 (Fri, 22 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_flat.c

Use new cpl_frameset API

------------------------------------------------------------------------
r153986 | cgarcia | 2013-11-21 11:32:31 +0100 (Thu, 21 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip

Upgraded irplib version

------------------------------------------------------------------------
r153973 | cgarcia | 2013-11-20 18:19:42 +0100 (Wed, 20 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_save.c

Ported to latest cpl_frameset API

------------------------------------------------------------------------
r153923 | cgarcia | 2013-11-19 17:49:44 +0100 (Tue, 19 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c

Use latest cpl_frameset API

------------------------------------------------------------------------
r153922 | cgarcia | 2013-11-19 17:48:36 +0100 (Tue, 19 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_combine.c

Use new cpl_frameset API

------------------------------------------------------------------------
r153921 | cgarcia | 2013-11-19 17:47:39 +0100 (Tue, 19 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stats.c

Use latest cpl_frameset API

------------------------------------------------------------------------
r153920 | cgarcia | 2013-11-19 17:46:47 +0100 (Tue, 19 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_step_stitch.c

Use last cpl_frameset API

------------------------------------------------------------------------
r153919 | cgarcia | 2013-11-19 17:46:13 +0100 (Tue, 19 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_tec_filtchk.c

Use new cpl_frameset API

------------------------------------------------------------------------
r153918 | cgarcia | 2013-11-19 17:45:03 +0100 (Tue, 19 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_tec_filtchk.c

Use the latest cpl_frameset API

------------------------------------------------------------------------
r153915 | cgarcia | 2013-11-19 17:37:51 +0100 (Tue, 19 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip

Use the latest irplib

------------------------------------------------------------------------
r153914 | cgarcia | 2013-11-19 17:31:29 +0100 (Tue, 19 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_zpoint.c

Check all the detectors have one std star. If not, it fails.
Correctly detect that hawki_detectors_locate_star function failed.
------------------------------------------------------------------------
r153913 | cgarcia | 2013-11-19 17:26:23 +0100 (Tue, 19 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.c
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.h

Do the  check on the detectors where there is a star placed in a different function.
Fixed typo.
------------------------------------------------------------------------
r153911 | cgarcia | 2013-11-19 17:14:20 +0100 (Tue, 19 Nov 2013) | 1 line
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_utils.c

Make a check on the detectors where there is a star placed.
------------------------------------------------------------------------
r153769 | cgarcia | 2013-11-15 13:41:21 +0100 (Fri, 15 Nov 2013) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip

Peg irplib external to revision 153638


------------------------------------------------------------------------
r153592 | cgarcia | 2013-11-13 10:17:56 +0100 (Wed, 13 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs.c

Remove _ERR products

------------------------------------------------------------------------
r153575 | cgarcia | 2013-11-12 17:29:54 +0100 (Tue, 12 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/recipes/hawki_cal_dark.c

Remove deprecated call.

------------------------------------------------------------------------
r153573 | cgarcia | 2013-11-12 17:26:46 +0100 (Tue, 12 Nov 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_load.c

Remove deprecated function

------------------------------------------------------------------------
r153572 | cgarcia | 2013-11-12 17:25:17 +0100 (Tue, 12 Nov 2013) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkip/hawki/hawki_dfs.c

Remove deprecated function.
Remove CVS keys.
Added error frames.

------------------------------------------------------------------------
r152138 | mpruemm | 2013-10-26 17:50:40 +0200 (Sat, 26 Oct 2013) | 1 line
Changed paths:
   D /trunk/Pipelines/amber/amber_reg
   A /trunk/Pipelines/amber/amberp (from /trunk/Pipelines/amber/ambers:152137)
   A /trunk/Pipelines/amber/amberp/amber_reg (from /trunk/Pipelines/amber/amber_reg:152137)
   D /trunk/Pipelines/amber/ambers
   D /trunk/Pipelines/cr2re/cr2re_reg
   A /trunk/Pipelines/cr2re/cr2rep (from /trunk/Pipelines/cr2re/cr2res:152137)
   A /trunk/Pipelines/cr2re/cr2rep/cr2re_reg (from /trunk/Pipelines/cr2re/cr2re_reg:152137)
   D /trunk/Pipelines/cr2re/cr2res
   D /trunk/Pipelines/crire/crire_reg
   A /trunk/Pipelines/crire/crirep (from /trunk/Pipelines/crire/crires:152137)
   A /trunk/Pipelines/crire/crirep/crire_reg (from /trunk/Pipelines/crire/crire_reg:152137)
   D /trunk/Pipelines/crire/crires
   D /trunk/Pipelines/detmon/detmon_reg
   A /trunk/Pipelines/detmon/detmonp (from /trunk/Pipelines/detmon/detmons:152137)
   A /trunk/Pipelines/detmon/detmonp/detmon_reg (from /trunk/Pipelines/detmon/detmon_reg:152137)
   D /trunk/Pipelines/detmon/detmons
   D /trunk/Pipelines/efosc/efosc_reg
   A /trunk/Pipelines/efosc/efoscp (from /trunk/Pipelines/efosc/efoscs:152137)
   A /trunk/Pipelines/efosc/efoscp/efosc_reg (from /trunk/Pipelines/efosc/efosc_reg:152137)
   D /trunk/Pipelines/efosc/efoscs
   D /trunk/Pipelines/feros/feros_reg
   A /trunk/Pipelines/feros/ferosp (from /trunk/Pipelines/feros/feross:152137)
   A /trunk/Pipelines/feros/ferosp/feros_reg (from /trunk/Pipelines/feros/feros_reg:152137)
   D /trunk/Pipelines/feros/feross
   D /trunk/Pipelines/giraf/giraf_reg
   A /trunk/Pipelines/giraf/girafp (from /trunk/Pipelines/giraf/girafs:152137)
   A /trunk/Pipelines/giraf/girafp/giraf_reg (from /trunk/Pipelines/giraf/giraf_reg:152137)
   D /trunk/Pipelines/giraf/girafs
   D /trunk/Pipelines/hawki/hawki_reg
   A /trunk/Pipelines/hawki/hawkip (from /trunk/Pipelines/hawki/hawkis:152137)
   A /trunk/Pipelines/hawki/hawkip/hawki_reg (from /trunk/Pipelines/hawki/hawki_reg:152137)
   D /trunk/Pipelines/hawki/hawkis
   D /trunk/Pipelines/iiinstrument/iiinstrument_reg
   A /trunk/Pipelines/iiinstrument/iiinstrumentp (from /trunk/Pipelines/iiinstrument/iiinstruments:152137)
   A /trunk/Pipelines/iiinstrument/iiinstrumentp/iiinstrument_reg (from /trunk/Pipelines/iiinstrument/iiinstrument_reg:152137)
   D /trunk/Pipelines/iiinstrument/iiinstruments
   D /trunk/Pipelines/isaac/isaac_reg
   A /trunk/Pipelines/isaac/isaacp (from /trunk/Pipelines/isaac/isaacs:152137)
   A /trunk/Pipelines/isaac/isaacp/isaac_reg (from /trunk/Pipelines/isaac/isaac_reg:152137)
   D /trunk/Pipelines/isaac/isaacs
   D /trunk/Pipelines/kmos/kmos_reg
   A /trunk/Pipelines/kmos/kmosp (from /trunk/Pipelines/kmos/kmoss:152137)
   A /trunk/Pipelines/kmos/kmosp/kmos_reg (from /trunk/Pipelines/kmos/kmos_reg:152137)
   D /trunk/Pipelines/kmos/kmoss
   D /trunk/Pipelines/midi/midi_reg
   A /trunk/Pipelines/midi/midip (from /trunk/Pipelines/midi/midis:152137)
   A /trunk/Pipelines/midi/midip/midi_reg (from /trunk/Pipelines/midi/midi_reg:152137)
   D /trunk/Pipelines/midi/midis
   D /trunk/Pipelines/naco/naco_reg
   A /trunk/Pipelines/naco/nacop (from /trunk/Pipelines/naco/nacos:152137)
   A /trunk/Pipelines/naco/nacop/naco_reg (from /trunk/Pipelines/naco/naco_reg:152137)
   D /trunk/Pipelines/naco/nacos
   D /trunk/Pipelines/omega/omega_reg
   A /trunk/Pipelines/omega/omegap (from /trunk/Pipelines/omega/omegas:152137)
   A /trunk/Pipelines/omega/omegap/omega_reg (from /trunk/Pipelines/omega/omega_reg:152137)
   D /trunk/Pipelines/omega/omegas
   D /trunk/Pipelines/sinfo/sinfo_reg
   A /trunk/Pipelines/sinfo/sinfop (from /trunk/Pipelines/sinfo/sinfos:152137)
   A /trunk/Pipelines/sinfo/sinfop/sinfo_reg (from /trunk/Pipelines/sinfo/sinfo_reg:152137)
   D /trunk/Pipelines/sinfo/sinfos
   D /trunk/Pipelines/sofi/sofi_reg
   A /trunk/Pipelines/sofi/sofip (from /trunk/Pipelines/sofi/sofis:152137)
   A /trunk/Pipelines/sofi/sofip/sofi_reg (from /trunk/Pipelines/sofi/sofi_reg:152137)
   D /trunk/Pipelines/sofi/sofis
   D /trunk/Pipelines/uves/uves_reg
   A /trunk/Pipelines/uves/uvesp (from /trunk/Pipelines/uves/uvess:152137)
   A /trunk/Pipelines/uves/uvesp/uves_reg (from /trunk/Pipelines/uves/uves_reg:152137)
   D /trunk/Pipelines/uves/uvess
   D /trunk/Pipelines/vimos/vimos_reg
   A /trunk/Pipelines/vimos/vimosp (from /trunk/Pipelines/vimos/vimoss:152137)
   A /trunk/Pipelines/vimos/vimosp/vimos_reg (from /trunk/Pipelines/vimos/vimos_reg:152137)
   D /trunk/Pipelines/vimos/vimoss
   D /trunk/Pipelines/visir/visir_reg
   A /trunk/Pipelines/visir/visirp (from /trunk/Pipelines/visir/visirs:152137)
   A /trunk/Pipelines/visir/visirp/visir_reg (from /trunk/Pipelines/visir/visir_reg:152137)
   D /trunk/Pipelines/visir/visirs
   D /trunk/Pipelines/wfi/wfi_reg
   A /trunk/Pipelines/wfi/wfip (from /trunk/Pipelines/wfi/wfis:152137)
   A /trunk/Pipelines/wfi/wfip/wfi_reg (from /trunk/Pipelines/wfi/wfi_reg:152137)
   D /trunk/Pipelines/wfi/wfis
   D /trunk/Pipelines/xsh/xsh_reg
   A /trunk/Pipelines/xsh/xshp (from /trunk/Pipelines/xsh/xshs:152137)
   A /trunk/Pipelines/xsh/xshp/xsh_reg (from /trunk/Pipelines/xsh/xsh_reg:152137)
   D /trunk/Pipelines/xsh/xshs

Create proper structure.
------------------------------------------------------------------------
r150968 | cgarcia | 2013-09-19 18:47:41 +0200 (Thu, 19 Sep 2013) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am

Update all the _LDFLAGS vars with CPL linking.
Remove AM_LDFLAGS since it is overwritten vy _LDFLAGS

------------------------------------------------------------------------
r150924 | cgarcia | 2013-09-18 19:02:33 +0200 (Wed, 18 Sep 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/AUTHORS

Change author atribution

------------------------------------------------------------------------
r150892 | cgarcia | 2013-09-18 13:55:46 +0200 (Wed, 18 Sep 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am

Added path linkage flags from CPL

------------------------------------------------------------------------
r150866 | cgarcia | 2013-09-17 14:10:38 +0200 (Tue, 17 Sep 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/tests/Makefile.am

Added linkage with cpl

------------------------------------------------------------------------
r150865 | cgarcia | 2013-09-17 14:09:35 +0200 (Tue, 17 Sep 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am

Added CPL dependencies

------------------------------------------------------------------------
r150449 | cgarcia | 2013-09-02 16:44:18 +0200 (Mon, 02 Sep 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Using new cpl_frameset_get_position

------------------------------------------------------------------------
r150448 | cgarcia | 2013-09-02 16:42:52 +0200 (Mon, 02 Sep 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.c

Using new cpl_frameset_get_position_const

------------------------------------------------------------------------
r150447 | cgarcia | 2013-09-02 16:36:56 +0200 (Mon, 02 Sep 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.cc
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.cc
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c

Using new cpl_frameset_get_position

------------------------------------------------------------------------
r150446 | cgarcia | 2013-09-02 16:35:52 +0200 (Mon, 02 Sep 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c

Using new cpl_frameset_get_position_const

------------------------------------------------------------------------
r150445 | cgarcia | 2013-09-02 16:29:09 +0200 (Mon, 02 Sep 2013) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c

Using new cpl_frameset_get_position.
Using 4 digits for products

------------------------------------------------------------------------
r150357 | cgarcia | 2013-08-29 10:00:35 +0200 (Thu, 29 Aug 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/setup

Install doxygen with proper target

------------------------------------------------------------------------
r150255 | cgarcia | 2013-08-26 13:57:30 +0200 (Mon, 26 Aug 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Use apidocdir rather than htmldir

------------------------------------------------------------------------
r150161 | cgarcia | 2013-08-22 18:40:28 +0200 (Thu, 22 Aug 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/Makefile.am

Using install-doxygen target rather than install-html  target

------------------------------------------------------------------------
r150160 | cgarcia | 2013-08-22 18:39:48 +0200 (Thu, 22 Aug 2013) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/admin/doxygen.am

New Doxygen automake support

------------------------------------------------------------------------
r150157 | cgarcia | 2013-08-22 18:07:54 +0200 (Thu, 22 Aug 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.cc

Remove unused var

------------------------------------------------------------------------
r150156 | cgarcia | 2013-08-22 18:04:49 +0200 (Thu, 22 Aug 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stdstars.c

Read a maximum of 510 characters from the line, to avoid a cppcheck warning

------------------------------------------------------------------------
r150155 | cgarcia | 2013-08-22 17:50:29 +0200 (Thu, 22 Aug 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image_stats.c

Proper use of strncat

------------------------------------------------------------------------
r150153 | cgarcia | 2013-08-22 17:47:06 +0200 (Thu, 22 Aug 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stdstars.c

Close file to avoid leak

------------------------------------------------------------------------
r149754 | cgarcia | 2013-08-07 15:50:03 +0200 (Wed, 07 Aug 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/hawki_image-test.c

Removed unused vars

------------------------------------------------------------------------
r149753 | cgarcia | 2013-08-07 15:48:23 +0200 (Wed, 07 Aug 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Remove unused param

------------------------------------------------------------------------
r149210 | cgarcia | 2013-07-22 12:20:31 +0200 (Mon, 22 Jul 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.cc
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c

Remove deprecated cpl_frameset_get_frame_const and use cpl_frameset_get_position_const instead

------------------------------------------------------------------------
r149209 | cgarcia | 2013-07-22 12:14:37 +0200 (Mon, 22 Jul 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am

Remove hawki_util_extinction from compilation

------------------------------------------------------------------------
r149208 | cgarcia | 2013-07-22 12:12:48 +0200 (Mon, 22 Jul 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stdstars.c

Proper check of error code from irplib_stdstars

------------------------------------------------------------------------
r149207 | cgarcia | 2013-07-22 12:09:55 +0200 (Mon, 22 Jul 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Using CPL_SIZE_FORMAT

------------------------------------------------------------------------
r146699 | cgarcia | 2013-04-18 17:45:09 +0200 (Thu, 18 Apr 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Removed debug message

------------------------------------------------------------------------
r146089 | cgarcia | 2013-03-25 12:39:06 +0100 (Mon, 25 Mar 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_variance.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_variance.h
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/hawki_distortion-test.c
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/hawki_image-test.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_illum.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_lingain.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.cc
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_extinction.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stdstars.c

Updated FSF address

------------------------------------------------------------------------
r146088 | cgarcia | 2013-03-25 12:35:10 +0100 (Mon, 25 Mar 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_alloc.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_alloc.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_calib.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_calib.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_combine.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_combine.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image_stats.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image_stats.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_mask.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_mask.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_match_cats.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_match_cats.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_obj_det.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_obj_det.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_pfits.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_pfits.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_properties_tel.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_properties_tel.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_saa.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_saa.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Updated FSF address

------------------------------------------------------------------------
r145643 | cgarcia | 2013-03-11 12:03:00 +0100 (Mon, 11 Mar 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_extinction.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c

Protect the cpl_plugin_get_info function with C++ ifdefs

------------------------------------------------------------------------
r145642 | cgarcia | 2013-03-11 12:01:58 +0100 (Mon, 11 Mar 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stitch.c

Protect the plugin declaration with C++ ifdefs

------------------------------------------------------------------------
r145641 | cgarcia | 2013-03-11 12:00:44 +0100 (Mon, 11 Mar 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Update to vesion 1.8.12

------------------------------------------------------------------------
r144209 | cgarcia | 2013-02-01 18:18:05 +0100 (Fri, 01 Feb 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Allow optional calibrations.

------------------------------------------------------------------------
r144208 | cgarcia | 2013-02-01 17:51:43 +0100 (Fri, 01 Feb 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Fixed typo

------------------------------------------------------------------------
r144147 | cgarcia | 2013-02-01 10:46:09 +0100 (Fri, 01 Feb 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Added prototype for plugin registration

------------------------------------------------------------------------
r144145 | cgarcia | 2013-02-01 10:38:53 +0100 (Fri, 01 Feb 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Fixed dereferncing of pointers

------------------------------------------------------------------------
r144139 | cgarcia | 2013-01-31 17:56:30 +0100 (Thu, 31 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/tests/Makefile.am

Added glibc debugging options

------------------------------------------------------------------------
r144044 | cgarcia | 2013-01-29 19:16:21 +0100 (Tue, 29 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.cc

Use try to capture errors

------------------------------------------------------------------------
r143930 | cgarcia | 2013-01-28 17:41:17 +0100 (Mon, 28 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/efosc/efoscs/configure.ac
   M /trunk/Pipelines/fors/forsp/configure.ac
   M /trunk/Pipelines/hawki/hawkis/configure.ac
   M /trunk/Pipelines/vimos/vimoss/configure.ac

Remove deprecated AM_CONFIG_HEADER by AC_CONFIG_HEADERS

------------------------------------------------------------------------
r143929 | cgarcia | 2013-01-28 17:34:24 +0100 (Mon, 28 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/efosc/efoscs/efosc/Makefile.am
   M /trunk/Pipelines/efosc/efoscs/efosc/tests/Makefile.am
   M /trunk/Pipelines/efosc/efoscs/recipes/Makefile.am
   M /trunk/Pipelines/efosc/efoscs/recipes/tests/Makefile.am
   M /trunk/Pipelines/fors/forsp/recipes/tests/Makefile.am
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/Makefile.am
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am
   M /trunk/Pipelines/hawki/hawkis/tests/Makefile.am
   M /trunk/Pipelines/vimos/vimoss/libpil/pil/Makefile.am
   M /trunk/Pipelines/vimos/vimoss/libpil/tests/Makefile.am
   M /trunk/Pipelines/vimos/vimoss/recipes/Makefile.am
   M /trunk/Pipelines/vimos/vimoss/tests/Makefile.am
   M /trunk/Pipelines/vimos/vimoss/vimos/Makefile.am

Remove deprecated INCLUDES

------------------------------------------------------------------------
r143437 | cgarcia | 2013-01-16 13:51:12 +0100 (Wed, 16 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/Makefile.am

Link against libhawki

------------------------------------------------------------------------
r143420 | cgarcia | 2013-01-15 19:06:16 +0100 (Tue, 15 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/hawki_image-test.c

Added include of cpl_test.h

------------------------------------------------------------------------
r143419 | cgarcia | 2013-01-15 19:05:57 +0100 (Tue, 15 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/Makefile.am

Added linking with CPL library

------------------------------------------------------------------------
r143417 | cgarcia | 2013-01-15 18:37:47 +0100 (Tue, 15 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to latest version

------------------------------------------------------------------------
r143366 | cgarcia | 2013-01-15 10:58:25 +0100 (Tue, 15 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Compare the raw value of the ALPHA and DELTA keywords

------------------------------------------------------------------------
r143365 | cgarcia | 2013-01-15 10:57:13 +0100 (Tue, 15 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_pfits.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_pfits.h

Added reading the ALPHA and DELTA keywords without transforming them to degs.

------------------------------------------------------------------------
r143324 | cgarcia | 2013-01-14 16:58:23 +0100 (Mon, 14 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c

Use strcpy instead of strcpy.

------------------------------------------------------------------------
r143322 | cgarcia | 2013-01-14 16:55:46 +0100 (Mon, 14 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Use strncpy rather than strcpy.

------------------------------------------------------------------------
r143320 | cgarcia | 2013-01-14 16:18:44 +0100 (Mon, 14 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Combine only frames from the same target/pointing.

------------------------------------------------------------------------
r143319 | cgarcia | 2013-01-14 15:57:28 +0100 (Mon, 14 Jan 2013) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Add comments for keywords ESO QC IQ DIFF AMBI and ESO QC IQ DIFF TEL

------------------------------------------------------------------------
r142512 | cgarcia | 2012-12-13 18:09:24 +0100 (Thu, 13 Dec 2012) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am
   M /trunk/Pipelines/iiinstrument/iiinstruments/iiinstrument/Makefile.am

Use AM_CPPFLAGS as it is the standard
(http://www.gnu.org/software/automake/manual/html_node/Flag-Variables-Ordering.html)

------------------------------------------------------------------------
r142330 | cgarcia | 2012-12-10 13:31:33 +0100 (Mon, 10 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.h

Use CPL_BEGIN_DECLS and CPL_END_DECLS

------------------------------------------------------------------------
r142327 | cgarcia | 2012-12-10 11:41:17 +0100 (Mon, 10 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/Makefile.am

Remove .logfile when doing make clean

------------------------------------------------------------------------
r142268 | cgarcia | 2012-12-07 15:23:05 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Moved to version 1.8.10

------------------------------------------------------------------------
r142267 | cgarcia | 2012-12-07 15:21:02 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/Makefile.am

Removing test log files when cleaning

------------------------------------------------------------------------
r142266 | cgarcia | 2012-12-07 15:14:43 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/tests/Makefile.am

Remove test files created

------------------------------------------------------------------------
r142265 | cgarcia | 2012-12-07 15:12:31 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/hawki_image-test.c

Remove temporary files

------------------------------------------------------------------------
r142264 | cgarcia | 2012-12-07 15:09:12 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.h

Use CPL_BEGIN_DECLS and CPL_END_DECLS

------------------------------------------------------------------------
r142263 | cgarcia | 2012-12-07 14:59:51 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am

Use -no-undefined for the compilation of recipes

------------------------------------------------------------------------
r142261 | cgarcia | 2012-12-07 14:45:43 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_pfits.h

Use CPL_BEGIN_DECLS and CPL_END_DECLS

------------------------------------------------------------------------
r142260 | cgarcia | 2012-12-07 14:44:19 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.cc

Buffered sky computation when there is also a mask.

------------------------------------------------------------------------
r142259 | cgarcia | 2012-12-07 14:40:07 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.cc
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.h

Allow the use of mask (and also distortion) in the hawki_bkg_from_running_mean_frame_extension function

------------------------------------------------------------------------
r142254 | cgarcia | 2012-12-07 11:54:59 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.cc

Use the proper frameset for all the saved files

------------------------------------------------------------------------
r142253 | cgarcia | 2012-12-07 11:22:54 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.cc

Changed distortion frames names

------------------------------------------------------------------------
r142252 | cgarcia | 2012-12-07 10:36:29 +0100 (Fri, 07 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.c

Added HAWKI_CALPRO_OBJ_MASK and HAWKI_CALPRO_DISTORTION_X, HAWKI_CALPRO_DISTORTION_Y tags

------------------------------------------------------------------------
r142249 | cgarcia | 2012-12-06 17:55:32 +0100 (Thu, 06 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Aded function hawki_frameset_append, because so far it doesn't exist in cpl

------------------------------------------------------------------------
r142222 | cgarcia | 2012-12-05 17:42:47 +0100 (Wed, 05 Dec 2012) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Removed moved files

------------------------------------------------------------------------
r142221 | cgarcia | 2012-12-05 17:42:02 +0100 (Wed, 05 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.cc

Remove unneccesary vector element counting

------------------------------------------------------------------------
r142208 | cgarcia | 2012-12-05 16:06:51 +0100 (Wed, 05 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.cc

Partial support for buffered running sky computation when masks are available

------------------------------------------------------------------------
r142207 | cgarcia | 2012-12-05 16:04:19 +0100 (Wed, 05 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Added hawki_bkg.cc

------------------------------------------------------------------------
r142206 | cgarcia | 2012-12-05 16:00:33 +0100 (Wed, 05 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.cc

Fixed compilation errors

------------------------------------------------------------------------
r142205 | cgarcia | 2012-12-05 15:57:19 +0100 (Wed, 05 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Added CPL_BEGIN_DECLS and CPL_END_DECLS

------------------------------------------------------------------------
r142186 | cgarcia | 2012-12-05 11:22:03 +0100 (Wed, 05 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.cc

Use of std::vector and std::sort, which is faster than cpl_vector_sort()

------------------------------------------------------------------------
r142185 | cgarcia | 2012-12-05 10:59:37 +0100 (Wed, 05 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am

Add dependency for hawki_step_compute_bkg.cc

------------------------------------------------------------------------
r142183 | cgarcia | 2012-12-05 10:58:58 +0100 (Wed, 05 Dec 2012) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.cc

Copied from hawki_step_compute_bkg.c

------------------------------------------------------------------------
r142180 | cgarcia | 2012-12-05 10:56:52 +0100 (Wed, 05 Dec 2012) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.cc

Implementation using std::vector

------------------------------------------------------------------------
r142178 | cgarcia | 2012-12-05 10:55:16 +0100 (Wed, 05 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Added CXX check

------------------------------------------------------------------------
r142158 | cgarcia | 2012-12-04 16:45:18 +0100 (Tue, 04 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c

Adding OPENMP parallelization

------------------------------------------------------------------------
r142136 | cgarcia | 2012-12-04 15:19:23 +0100 (Tue, 04 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c

Fix memory leak.

------------------------------------------------------------------------
r142130 | cgarcia | 2012-12-04 14:45:29 +0100 (Tue, 04 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Read the proper extension

------------------------------------------------------------------------
r142129 | cgarcia | 2012-12-04 14:45:07 +0100 (Tue, 04 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c

Initialise properly the image buffer

------------------------------------------------------------------------
r142117 | cgarcia | 2012-12-04 10:43:44 +0100 (Tue, 04 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Fixed function name

------------------------------------------------------------------------
r142116 | cgarcia | 2012-12-04 10:43:15 +0100 (Tue, 04 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Added include

------------------------------------------------------------------------
r142115 | cgarcia | 2012-12-04 10:41:34 +0100 (Tue, 04 Dec 2012) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Fixed a function name.
Added comments to some QC params

------------------------------------------------------------------------
r142109 | cgarcia | 2012-12-04 10:18:23 +0100 (Tue, 04 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c

Fixed function name

------------------------------------------------------------------------
r142108 | cgarcia | 2012-12-04 10:17:04 +0100 (Tue, 04 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image.c

Removed unused var

------------------------------------------------------------------------
r142091 | cgarcia | 2012-12-03 18:16:38 +0100 (Mon, 03 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Use buffering of background images

------------------------------------------------------------------------
r142090 | cgarcia | 2012-12-03 18:16:03 +0100 (Mon, 03 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c

Fix compilation issues. First running version of buffering background images.

------------------------------------------------------------------------
r142089 | cgarcia | 2012-12-03 18:15:40 +0100 (Mon, 03 Dec 2012) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.h

Fix compilation issues.
First running version of buffering background images.

------------------------------------------------------------------------
r142060 | cgarcia | 2012-12-02 23:34:05 +0100 (Sun, 02 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Use cached image buffer for running median

------------------------------------------------------------------------
r142059 | cgarcia | 2012-12-02 23:33:01 +0100 (Sun, 02 Dec 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.h

First support for cached images computing the running median

------------------------------------------------------------------------
r142023 | cgarcia | 2012-11-30 17:58:42 +0100 (Fri, 30 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image.c

Remove debug outputs

------------------------------------------------------------------------
r142022 | cgarcia | 2012-11-30 17:52:14 +0100 (Fri, 30 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Added new hawki_image file with regression tests

------------------------------------------------------------------------
r142020 | cgarcia | 2012-11-30 17:50:26 +0100 (Fri, 30 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Added test makefile

------------------------------------------------------------------------
r142019 | cgarcia | 2012-11-30 17:49:49 +0100 (Fri, 30 Nov 2012) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/tests/hawki_image-test.c

New unit test for hawki_image

------------------------------------------------------------------------
r142018 | cgarcia | 2012-11-30 17:49:17 +0100 (Fri, 30 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/Makefile.am

Added hawki-image tests

------------------------------------------------------------------------
r142016 | cgarcia | 2012-11-30 17:36:32 +0100 (Fri, 30 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Work with object masks smaller than the detector size. Fixes PROP045720

------------------------------------------------------------------------
r142014 | cgarcia | 2012-11-30 17:30:44 +0100 (Fri, 30 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c

Cosmetic changes

------------------------------------------------------------------------
r141995 | cgarcia | 2012-11-30 15:59:46 +0100 (Fri, 30 Nov 2012) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_image.h

Added functionality to copy an image to an intersection of two images

------------------------------------------------------------------------
r141994 | cgarcia | 2012-11-30 15:59:16 +0100 (Fri, 30 Nov 2012) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_image.c

Include functionality to copy to an intersection

------------------------------------------------------------------------
r141993 | cgarcia | 2012-11-30 15:51:22 +0100 (Fri, 30 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c

Added __cplusplus define

------------------------------------------------------------------------
r141830 | cgarcia | 2012-11-26 16:35:10 +0100 (Mon, 26 Nov 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Write numbers in filenames with 4 digits.

------------------------------------------------------------------------
r135783 | cgarcia | 2012-05-22 10:23:28 +0200 (Tue, 22 May 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Upgraded to latest version

------------------------------------------------------------------------
r135558 | cgarcia | 2012-05-15 10:13:31 +0200 (Tue, 15 May 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Removed option for checking C99, since it is not available in SL 5.3

------------------------------------------------------------------------
r135555 | cgarcia | 2012-05-14 19:08:53 +0200 (Mon, 14 May 2012) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to last version 1.8.8.
Added C99 checking

------------------------------------------------------------------------
r135078 | cgarcia | 2012-05-03 12:47:30 +0200 (Thu, 03 May 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Activate the use of OpenMP

------------------------------------------------------------------------
r135076 | cgarcia | 2012-05-03 12:43:22 +0200 (Thu, 03 May 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Fixed problem with cpl_size format

------------------------------------------------------------------------
r135075 | cgarcia | 2012-05-03 12:42:32 +0200 (Thu, 03 May 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image_stats.c

Avoid buffer overrun

------------------------------------------------------------------------
r135074 | cgarcia | 2012-05-03 12:41:20 +0200 (Thu, 03 May 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Set version to 1.8.7

------------------------------------------------------------------------
r134885 | cgarcia | 2012-04-26 17:18:04 +0200 (Thu, 26 Apr 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Fixed problem with comparision of keywords

------------------------------------------------------------------------
r134706 | cgarcia | 2012-04-23 12:08:45 +0200 (Mon, 23 Apr 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c

Fixed cpl_size format

------------------------------------------------------------------------
r134705 | cgarcia | 2012-04-23 12:04:04 +0200 (Mon, 23 Apr 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Avoid compiler warning

------------------------------------------------------------------------
r134704 | cgarcia | 2012-04-23 12:02:57 +0200 (Mon, 23 Apr 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Fixed problem with cpl_size format

------------------------------------------------------------------------
r134703 | cgarcia | 2012-04-23 11:58:56 +0200 (Mon, 23 Apr 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Fixed cpl_size format

------------------------------------------------------------------------
r134700 | cgarcia | 2012-04-23 11:45:45 +0200 (Mon, 23 Apr 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Avoid compiler warning

------------------------------------------------------------------------
r134663 | cgarcia | 2012-04-20 15:14:12 +0200 (Fri, 20 Apr 2012) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/dfs-hawki.spec

First attempt to create a pipeline RPM

------------------------------------------------------------------------
r133116 | cgarcia | 2012-03-13 15:40:45 +0100 (Tue, 13 Mar 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated for version 1.8.6

------------------------------------------------------------------------
r131064 | cgarcia | 2012-01-26 15:30:48 +0100 (Thu, 26 Jan 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

iMoved to version 1.8.5

------------------------------------------------------------------------
r130189 | cgarcia | 2012-01-11 16:02:18 +0100 (Wed, 11 Jan 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Fixed typo

------------------------------------------------------------------------
r130188 | cgarcia | 2012-01-11 15:59:39 +0100 (Wed, 11 Jan 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Ported labelise to cpl_size

------------------------------------------------------------------------
r130115 | cgarcia | 2012-01-09 15:15:47 +0100 (Mon, 09 Jan 2012) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/setup

removed --disable-cfitsio option from setup

------------------------------------------------------------------------
r129909 | cgarcia | 2011-12-22 16:27:06 +0100 (Thu, 22 Dec 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Removed unsed variable

------------------------------------------------------------------------
r129908 | cgarcia | 2011-12-22 16:25:45 +0100 (Thu, 22 Dec 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am

removed compilation of hawki_cal_illum

------------------------------------------------------------------------
r129907 | cgarcia | 2011-12-22 16:24:24 +0100 (Thu, 22 Dec 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Fixed compiler warnings

------------------------------------------------------------------------
r129906 | cgarcia | 2011-12-22 16:21:47 +0100 (Thu, 22 Dec 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

*** empty log message ***

------------------------------------------------------------------------
r129885 | cgarcia | 2011-12-22 15:28:43 +0100 (Thu, 22 Dec 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_extinction.c

Ported to CPL6

------------------------------------------------------------------------
r129881 | cgarcia | 2011-12-22 15:23:30 +0100 (Thu, 22 Dec 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Minor change

------------------------------------------------------------------------
r129880 | cgarcia | 2011-12-22 15:19:52 +0100 (Thu, 22 Dec 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Ported to CPL 6

------------------------------------------------------------------------
r129593 | cgarcia | 2011-12-15 16:44:31 +0100 (Thu, 15 Dec 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Removed unnecessary socket and nsl libraries

------------------------------------------------------------------------
r128789 | cgarcia | 2011-11-25 11:00:57 +0100 (Fri, 25 Nov 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Added extinction coefficient the QC parameters. Fixes DFS10850.

------------------------------------------------------------------------
r128780 | cgarcia | 2011-11-24 17:56:01 +0100 (Thu, 24 Nov 2011) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Heavily modify the logic of the recipe. Now it is being made robust to non-existance of std star in the catalogue, no magnitude or no object detected.
 Fixes DFS10620

------------------------------------------------------------------------
r128148 | cgarcia | 2011-11-07 15:22:06 +0100 (Mon, 07 Nov 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am

 Remove compilation of hawki_cal_lingain

------------------------------------------------------------------------
r127613 | cgarcia | 2011-10-24 12:42:53 +0200 (Mon, 24 Oct 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c

Check that the recipe parameters have been properly created

------------------------------------------------------------------------
r127592 | cgarcia | 2011-10-21 19:02:46 +0200 (Fri, 21 Oct 2011) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Rearrangment of QC code. Moved to its own subroutine.
The common QC params to all ext are stored in primary header, the stats table does not contain any zpoint value, and the check product does not contain any QC (DFS10815)

------------------------------------------------------------------------
r127573 | cgarcia | 2011-10-21 11:06:11 +0200 (Fri, 21 Oct 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Fix DFS10380. Use nominal offsets rather than removing images altogether when refining fails.

------------------------------------------------------------------------
r126594 | cgarcia | 2011-09-16 17:18:04 +0200 (Fri, 16 Sep 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Cosmetic change

------------------------------------------------------------------------
r124394 | cgarcia | 2011-07-14 17:14:51 +0200 (Thu, 14 Jul 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Rolled back to version 1.8.4

------------------------------------------------------------------------
r124389 | cgarcia | 2011-07-14 16:29:15 +0200 (Thu, 14 Jul 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Removed OpenMP support

------------------------------------------------------------------------
r124376 | cgarcia | 2011-07-14 14:48:43 +0200 (Thu, 14 Jul 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed to version 1.8.4

------------------------------------------------------------------------
r124051 | cgarcia | 2011-07-06 10:26:06 +0200 (Wed, 06 Jul 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to version 1.8.3

------------------------------------------------------------------------
r124050 | cgarcia | 2011-07-06 10:21:57 +0200 (Wed, 06 Jul 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c

Improved error message

------------------------------------------------------------------------
r124049 | cgarcia | 2011-07-06 10:21:36 +0200 (Wed, 06 Jul 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stdstars.c

Changed copyright

------------------------------------------------------------------------
r123850 | cgarcia | 2011-07-01 11:55:25 +0200 (Fri, 01 Jul 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

The used catalog name is now also retrieved.

------------------------------------------------------------------------
r123795 | cgarcia | 2011-06-29 18:31:01 +0200 (Wed, 29 Jun 2011) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Added strings that display the ra, dec.
Printing the name of the catalog, and filling the QC parameter of the catalog with "all"

------------------------------------------------------------------------
r123794 | cgarcia | 2011-06-29 18:20:43 +0200 (Wed, 29 Jun 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Added functions to write RA, dec into strings. Derived from wcstools

------------------------------------------------------------------------
r123736 | cgarcia | 2011-06-28 12:28:36 +0200 (Tue, 28 Jun 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Reduction goes on  even if a magnitude is not found in the catalog (which is not the observed filter).

------------------------------------------------------------------------
r122127 | cgarcia | 2011-05-02 18:03:18 +0200 (Mon, 02 May 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Moved to 1.8.2

------------------------------------------------------------------------
r120372 | cgarcia | 2011-03-10 11:22:15 +0100 (Thu, 10 Mar 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Added prototype functions

------------------------------------------------------------------------
r120334 | cgarcia | 2011-03-09 16:06:45 +0100 (Wed, 09 Mar 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c

Fixed compilation

------------------------------------------------------------------------
r120333 | cgarcia | 2011-03-09 16:05:36 +0100 (Wed, 09 Mar 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Required version for autoconf downgraded

------------------------------------------------------------------------
r120332 | cgarcia | 2011-03-09 16:01:20 +0100 (Wed, 09 Mar 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed OPENMP macro to a private one

------------------------------------------------------------------------
r120293 | cgarcia | 2011-03-09 12:08:11 +0100 (Wed, 09 Mar 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Improved documentation

------------------------------------------------------------------------
r120291 | cgarcia | 2011-03-09 11:53:52 +0100 (Wed, 09 Mar 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c

Improved man info

------------------------------------------------------------------------
r120289 | cgarcia | 2011-03-09 11:48:38 +0100 (Wed, 09 Mar 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c

Fixed documentation

------------------------------------------------------------------------
r120094 | cgarcia | 2011-03-03 17:54:18 +0100 (Thu, 03 Mar 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Changed some names

------------------------------------------------------------------------
r120093 | cgarcia | 2011-03-03 17:53:31 +0100 (Thu, 03 Mar 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

New layout

------------------------------------------------------------------------
r119869 | cgarcia | 2011-02-28 17:21:32 +0100 (Mon, 28 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

New layout

------------------------------------------------------------------------
r119846 | cgarcia | 2011-02-28 15:55:31 +0100 (Mon, 28 Feb 2011) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Changed layout
Changed working directories

------------------------------------------------------------------------
r119844 | cgarcia | 2011-02-28 15:48:32 +0100 (Mon, 28 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Changed layout

------------------------------------------------------------------------
r119843 | cgarcia | 2011-02-28 15:36:31 +0100 (Mon, 28 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Removed stats and photom_2mass recipes

------------------------------------------------------------------------
r119714 | cgarcia | 2011-02-24 15:11:26 +0100 (Thu, 24 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Added OpenMP support

------------------------------------------------------------------------
r119713 | cgarcia | 2011-02-24 15:11:04 +0100 (Thu, 24 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Added macro to search for OpenMP libraries

------------------------------------------------------------------------
r119674 | cgarcia | 2011-02-23 12:49:37 +0100 (Wed, 23 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Improved performance using OpenMP

------------------------------------------------------------------------
r119673 | cgarcia | 2011-02-23 12:45:53 +0100 (Wed, 23 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Added OpenMp flags

------------------------------------------------------------------------
r119461 | cgarcia | 2011-02-18 18:11:02 +0100 (Fri, 18 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Version of the workflow is automatically updated

------------------------------------------------------------------------
r119460 | cgarcia | 2011-02-18 18:08:19 +0100 (Fri, 18 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Added tittle annotation

------------------------------------------------------------------------
r119459 | cgarcia | 2011-02-18 17:48:52 +0100 (Fri, 18 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Added table units for the object characterization table.

------------------------------------------------------------------------
r119368 | cgarcia | 2011-02-17 13:51:16 +0100 (Thu, 17 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Removed unused param

------------------------------------------------------------------------
r119366 | cgarcia | 2011-02-17 13:48:02 +0100 (Thu, 17 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Removed deprecated cpl_image_filter_median

------------------------------------------------------------------------
r119365 | cgarcia | 2011-02-17 13:44:30 +0100 (Thu, 17 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Added functions to check for equal keywords.

------------------------------------------------------------------------
r119332 | cgarcia | 2011-02-16 17:33:21 +0100 (Wed, 16 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Fixed DFS07914. Check for equal DIT/NDIT/NDSAMPLES before reducing

------------------------------------------------------------------------
r119299 | cgarcia | 2011-02-16 12:03:16 +0100 (Wed, 16 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c

Improved error message

------------------------------------------------------------------------
r119264 | cgarcia | 2011-02-15 17:42:38 +0100 (Tue, 15 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Removed bad commit

------------------------------------------------------------------------
r119249 | cgarcia | 2011-02-15 16:26:02 +0100 (Tue, 15 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Moved to 1.8.0

------------------------------------------------------------------------
r119179 | cgarcia | 2011-02-14 12:02:56 +0100 (Mon, 14 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Fixed not existent include

------------------------------------------------------------------------
r119144 | cgarcia | 2011-02-11 17:39:02 +0100 (Fri, 11 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Removed hawki_fit.c, introduced by error

------------------------------------------------------------------------
r119099 | cgarcia | 2011-02-11 11:57:57 +0100 (Fri, 11 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Bkg images wil now Inherit headers from the proper associated science.

------------------------------------------------------------------------
r119090 | cgarcia | 2011-02-11 10:09:28 +0100 (Fri, 11 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Bkg images wil now Inherit headers from the proper associated science.

------------------------------------------------------------------------
r119034 | cgarcia | 2011-02-09 18:28:43 +0100 (Wed, 09 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Removed missing files from compilation

------------------------------------------------------------------------
r119033 | cgarcia | 2011-02-09 18:21:30 +0100 (Wed, 09 Feb 2011) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkis/hawki/hawki_geom_img.c
   D /trunk/Pipelines/hawki/hawkis/hawki/hawki_geom_img.h
   D /trunk/Pipelines/hawki/hawkis/hawki/hawki_geom_img_body.h

Removed unused functions.

------------------------------------------------------------------------
r119032 | cgarcia | 2011-02-09 18:16:23 +0100 (Wed, 09 Feb 2011) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Added CONTRIB_MAP classification.
Removed obsolete DETLIN products keywords.

------------------------------------------------------------------------
r119031 | cgarcia | 2011-02-09 18:11:48 +0100 (Wed, 09 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Contribution map is saved.

------------------------------------------------------------------------
r119030 | cgarcia | 2011-02-09 18:09:25 +0100 (Wed, 09 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Fixed computation of background when only sky images are present.

------------------------------------------------------------------------
r118704 | cgarcia | 2011-02-01 17:33:54 +0100 (Tue, 01 Feb 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c

Fixed DFS09704

------------------------------------------------------------------------
r118623 | cgarcia | 2011-01-31 12:03:23 +0100 (Mon, 31 Jan 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c

Changed size of filename string to 256, like the rest in the pipeline

------------------------------------------------------------------------
r118622 | cgarcia | 2011-01-31 12:02:43 +0100 (Mon, 31 Jan 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c

Fixed memory overflow

------------------------------------------------------------------------
r118494 | cgarcia | 2011-01-27 18:01:40 +0100 (Thu, 27 Jan 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Moved to 1.7.7

------------------------------------------------------------------------
r118166 | cgarcia | 2011-01-20 13:41:03 +0100 (Thu, 20 Jan 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Updated the keywords to display

------------------------------------------------------------------------
r118076 | cgarcia | 2011-01-18 18:54:01 +0100 (Tue, 18 Jan 2011) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Improved performance for hawki_distortion_compute_rms

------------------------------------------------------------------------
r116520 | cgarcia | 2010-12-01 00:53:00 +0100 (Wed, 01 Dec 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Removed some spaces

------------------------------------------------------------------------
r116519 | cgarcia | 2010-11-30 23:57:02 +0100 (Tue, 30 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c

Fixed memory leak

------------------------------------------------------------------------
r116518 | cgarcia | 2010-11-30 21:50:08 +0100 (Tue, 30 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c

Fixed memory leak

------------------------------------------------------------------------
r116458 | cgarcia | 2010-11-30 01:12:43 +0100 (Tue, 30 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c

Allow the background subtracted images to be an input of the recipe also.

------------------------------------------------------------------------
r116421 | cgarcia | 2010-11-29 06:27:23 +0100 (Mon, 29 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Added instrumental magnitude columns

------------------------------------------------------------------------
r116420 | cgarcia | 2010-11-29 06:26:48 +0100 (Mon, 29 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Add column with instrumental magnitude

------------------------------------------------------------------------
r116419 | cgarcia | 2010-11-29 06:26:13 +0100 (Mon, 29 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_extinction.c

Read the instrumental magnitude, rather than flux

------------------------------------------------------------------------
r116418 | cgarcia | 2010-11-29 06:25:20 +0100 (Mon, 29 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am

Fixed typos

------------------------------------------------------------------------
r116415 | cgarcia | 2010-11-29 04:37:15 +0100 (Mon, 29 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c

Use the first frame as a reference one if the rest check did not succeed.

------------------------------------------------------------------------
r116414 | cgarcia | 2010-11-29 04:35:11 +0100 (Mon, 29 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Moved to 1.7.6

------------------------------------------------------------------------
r116413 | cgarcia | 2010-11-29 04:33:39 +0100 (Mon, 29 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Added support for photometric table (currently only with extinctions)

------------------------------------------------------------------------
r116412 | cgarcia | 2010-11-29 04:32:41 +0100 (Mon, 29 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.c

Added the zpoint table to raw data

------------------------------------------------------------------------
r116411 | cgarcia | 2010-11-29 04:31:58 +0100 (Mon, 29 Nov 2010) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_extinction.c

New recipe to compute the extinction

------------------------------------------------------------------------
r116410 | cgarcia | 2010-11-29 04:29:52 +0100 (Mon, 29 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Added new column with the catalogue star magnitude

------------------------------------------------------------------------
r116409 | cgarcia | 2010-11-29 04:28:54 +0100 (Mon, 29 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am

Added new recipe for extinction computation

------------------------------------------------------------------------
r116398 | cgarcia | 2010-11-27 07:21:19 +0100 (Sat, 27 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Fixed memory leak

------------------------------------------------------------------------
r116312 | cgarcia | 2010-11-25 09:12:54 +0100 (Thu, 25 Nov 2010) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Added units in zpoint table.
Added all the magnitudes of the star to the QC parameters

------------------------------------------------------------------------
r115549 | cgarcia | 2010-11-04 15:25:27 +0100 (Thu, 04 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed to version 1.7.5

------------------------------------------------------------------------
r115525 | cgarcia | 2010-11-04 12:40:06 +0100 (Thu, 04 Nov 2010) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Removed unused vars.
Fixed mem leak

------------------------------------------------------------------------
r115509 | cgarcia | 2010-11-04 09:03:24 +0100 (Thu, 04 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Fixed compilation

------------------------------------------------------------------------
r115507 | cgarcia | 2010-11-03 20:01:38 +0100 (Wed, 03 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Redesign for a better memory consumption.

------------------------------------------------------------------------
r115506 | cgarcia | 2010-11-03 19:50:47 +0100 (Wed, 03 Nov 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_calib.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_calib.h

Added functionality to trim images

------------------------------------------------------------------------
r115268 | cgarcia | 2010-10-27 17:14:23 +0200 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Removed missing Makefile

------------------------------------------------------------------------
r115235 | cgarcia | 2010-10-27 12:26:57 +0200 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c

Added new NONORM QC keywords

------------------------------------------------------------------------
r115234 | cgarcia | 2010-10-27 12:10:36 +0200 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c

Minor documentation changes

------------------------------------------------------------------------
r115233 | cgarcia | 2010-10-27 12:08:10 +0200 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Moved to version 1.7.4

------------------------------------------------------------------------
r115232 | cgarcia | 2010-10-27 12:05:34 +0200 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Fix DFS09436

------------------------------------------------------------------------
r114164 | cgarcia | 2010-09-28 16:41:26 +0200 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Fixed memory leak

------------------------------------------------------------------------
r114156 | cgarcia | 2010-09-28 16:13:48 +0200 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_lingain.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c

Added better error message handling

------------------------------------------------------------------------
r114155 | cgarcia | 2010-09-28 16:13:11 +0200 (Tue, 28 Sep 2010) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Added better error message handling
Fixed memory leak

------------------------------------------------------------------------
r114154 | cgarcia | 2010-09-28 16:10:45 +0200 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c

Added better error message

------------------------------------------------------------------------
r114153 | cgarcia | 2010-09-28 16:10:18 +0200 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stdstars.c

Added error message

------------------------------------------------------------------------
r114152 | cgarcia | 2010-09-28 16:03:05 +0200 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Changed deprecated filtering function from cpl

------------------------------------------------------------------------
r114151 | cgarcia | 2010-09-28 15:59:46 +0200 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed to version 1.7.3

------------------------------------------------------------------------
r114150 | cgarcia | 2010-09-28 15:58:56 +0200 (Tue, 28 Sep 2010) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Change maximum offset criteria according to DFS09295.
Changed __func__ by cpl_func

------------------------------------------------------------------------
r114134 | cgarcia | 2010-09-28 12:39:58 +0200 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Saving the mean airmass as a QC

------------------------------------------------------------------------
r112559 | cgarcia | 2010-08-10 11:39:39 +0200 (Tue, 10 Aug 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Fixed keyword ESO QC RAW?? USED

------------------------------------------------------------------------
r112235 | cgarcia | 2010-07-30 15:09:01 +0200 (Fri, 30 Jul 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Formatting

------------------------------------------------------------------------
r112234 | cgarcia | 2010-07-30 15:08:14 +0200 (Fri, 30 Jul 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Removed deprecated mask_opening function

------------------------------------------------------------------------
r110635 | cgarcia | 2010-06-10 14:21:46 +0200 (Thu, 10 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Changed bug mail support

------------------------------------------------------------------------
r110633 | cgarcia | 2010-06-10 14:00:42 +0200 (Thu, 10 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Added support for the background bad pixel masks.

------------------------------------------------------------------------
r110611 | cgarcia | 2010-06-09 18:13:06 +0200 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Using a median to substitue pixels with no bkg

------------------------------------------------------------------------
r110581 | cgarcia | 2010-06-09 11:53:44 +0200 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Sveral small fixes

------------------------------------------------------------------------
r110579 | cgarcia | 2010-06-09 11:33:18 +0200 (Wed, 09 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Better error checking.

------------------------------------------------------------------------
r110558 | cgarcia | 2010-06-08 17:07:59 +0200 (Tue, 08 Jun 2010) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c

Added protection against missing CUMOFFSET*.
Better error checking.

------------------------------------------------------------------------
r110475 | cgarcia | 2010-06-07 17:19:11 +0200 (Mon, 07 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Removed unnecessary HAWKI_SET_PREFIX

------------------------------------------------------------------------
r110474 | cgarcia | 2010-06-07 17:16:50 +0200 (Mon, 07 Jun 2010) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Removed unused HAWKI_SET_PREFIX macro.
Fixed plugin dir.

------------------------------------------------------------------------
r110424 | cgarcia | 2010-06-04 17:54:40 +0200 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c

Improved description

------------------------------------------------------------------------
r110423 | cgarcia | 2010-06-04 17:54:12 +0200 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image_stats.c

Added coumn units.

------------------------------------------------------------------------
r110397 | cgarcia | 2010-06-04 11:49:24 +0200 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_lingain.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stdstars.c

Fixed bug report mail to PACKAGE_BUGREPORT.

------------------------------------------------------------------------
r110396 | cgarcia | 2010-06-04 11:45:43 +0200 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_illum.c

Fixed bug report.

------------------------------------------------------------------------
r110395 | cgarcia | 2010-06-04 11:37:01 +0200 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Change to 1.7.2

------------------------------------------------------------------------
r110226 | cgarcia | 2010-05-28 16:23:55 +0200 (Fri, 28 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Fixed problem with htmldir

------------------------------------------------------------------------
r110225 | cgarcia | 2010-05-28 15:25:25 +0200 (Fri, 28 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed email support address

------------------------------------------------------------------------
r110050 | cgarcia | 2010-05-25 13:03:30 +0200 (Tue, 25 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Added stitch recipe

------------------------------------------------------------------------
r110048 | cgarcia | 2010-05-25 12:58:05 +0200 (Tue, 25 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

removed stitch recipe

------------------------------------------------------------------------
r110047 | cgarcia | 2010-05-25 12:28:14 +0200 (Tue, 25 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Changed the path to the rawdata dir

------------------------------------------------------------------------
r110045 | cgarcia | 2010-05-25 12:24:06 +0200 (Tue, 25 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Changed path to OCA rules

------------------------------------------------------------------------
r109996 | cgarcia | 2010-05-21 18:13:50 +0200 (Fri, 21 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Install library in a private dir

------------------------------------------------------------------------
r109995 | cgarcia | 2010-05-21 18:13:35 +0200 (Fri, 21 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Defined new private lib dir

------------------------------------------------------------------------
r109990 | cgarcia | 2010-05-21 16:54:12 +0200 (Fri, 21 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c

Fixed typo

------------------------------------------------------------------------
r109914 | cgarcia | 2010-05-20 19:56:11 +0200 (Thu, 20 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4
   M /trunk/Pipelines/hawki/hawkis/reflex/Makefile.am

Changed installation of reflex auxiliar files var directory

------------------------------------------------------------------------
r109908 | cgarcia | 2010-05-20 18:18:04 +0200 (Thu, 20 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Changed workflow installation variables

------------------------------------------------------------------------
r109904 | cgarcia | 2010-05-20 18:04:58 +0200 (Thu, 20 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Makefile.am
   M /trunk/Pipelines/uves/uvess/reflex/Makefile.am

Changed installation directory names

------------------------------------------------------------------------
r109691 | cgarcia | 2010-05-18 14:04:52 +0200 (Tue, 18 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Modified doc dir

------------------------------------------------------------------------
r109689 | cgarcia | 2010-05-18 13:40:23 +0200 (Tue, 18 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Fixed bug in dir

------------------------------------------------------------------------
r109687 | cgarcia | 2010-05-18 13:37:09 +0200 (Tue, 18 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to version 1.7.1

------------------------------------------------------------------------
r109686 | cgarcia | 2010-05-18 13:36:33 +0200 (Tue, 18 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/Makefile.am
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Changed document directory installation dir

------------------------------------------------------------------------
r109650 | cgarcia | 2010-05-17 19:00:35 +0200 (Mon, 17 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Fixed dir paths

------------------------------------------------------------------------
r109648 | cgarcia | 2010-05-17 18:33:28 +0200 (Mon, 17 May 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Update to last directory structure

------------------------------------------------------------------------
r108674 | cgarcia | 2010-04-21 15:52:54 +0200 (Wed, 21 Apr 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

Changed to conform with the new directory structure

------------------------------------------------------------------------
r108442 | cgarcia | 2010-04-14 17:27:10 +0200 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Removed visibility of sop_in

------------------------------------------------------------------------
r108441 | cgarcia | 2010-04-14 17:23:00 +0200 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Update doc for stitch recipe

------------------------------------------------------------------------
r108437 | cgarcia | 2010-04-14 17:08:25 +0200 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkis/admin/mkinstalldirs

Removed unneeded file

------------------------------------------------------------------------
r108363 | cgarcia | 2010-04-13 17:07:46 +0200 (Tue, 13 Apr 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Added Directory Eraser

------------------------------------------------------------------------
r108360 | cgarcia | 2010-04-13 16:59:57 +0200 (Tue, 13 Apr 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Fixed annotation

------------------------------------------------------------------------
r108359 | cgarcia | 2010-04-13 16:59:19 +0200 (Tue, 13 Apr 2010) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in


Substituted ProductRenamer by the library version

------------------------------------------------------------------------
r108354 | cgarcia | 2010-04-13 15:58:51 +0200 (Tue, 13 Apr 2010) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkis/admin/config.guess
   D /trunk/Pipelines/hawki/hawkis/admin/config.sub
   D /trunk/Pipelines/hawki/hawkis/admin/depcomp
   D /trunk/Pipelines/hawki/hawkis/admin/install-sh
   D /trunk/Pipelines/hawki/hawkis/admin/ltmain.sh
   D /trunk/Pipelines/hawki/hawkis/admin/missing

This files should not be here. They are automatically generated

------------------------------------------------------------------------
r108346 | cgarcia | 2010-04-13 14:16:14 +0200 (Tue, 13 Apr 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Changes in directories

------------------------------------------------------------------------
r107472 | cgarcia | 2010-03-17 17:13:19 +0100 (Wed, 17 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Implement resampling kernel choice.

------------------------------------------------------------------------
r107373 | cgarcia | 2010-03-16 17:27:05 +0100 (Tue, 16 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Fixed DFS08412

------------------------------------------------------------------------
r107237 | cgarcia | 2010-03-12 16:26:02 +0100 (Fri, 12 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed to version 1.7.0

------------------------------------------------------------------------
r107199 | cgarcia | 2010-03-12 14:11:20 +0100 (Fri, 12 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Change for 1.6.9

------------------------------------------------------------------------
r107197 | cgarcia | 2010-03-12 14:08:01 +0100 (Fri, 12 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Added the rms as a QC of the recipe

------------------------------------------------------------------------
r107196 | cgarcia | 2010-03-12 14:04:44 +0100 (Fri, 12 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.h

Added the rms to the output of the distortion.

------------------------------------------------------------------------
r107195 | cgarcia | 2010-03-12 13:55:17 +0100 (Fri, 12 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_mask.c

Fixed typo

------------------------------------------------------------------------
r107153 | cgarcia | 2010-03-11 18:56:58 +0100 (Thu, 11 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Updated to the last Reflex (parameter format changed)

------------------------------------------------------------------------
r107151 | cgarcia | 2010-03-11 18:29:46 +0100 (Thu, 11 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Updated to the last Reflex

------------------------------------------------------------------------
r107150 | cgarcia | 2010-03-11 18:24:48 +0100 (Thu, 11 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Changed the default directories

------------------------------------------------------------------------
r106985 | cgarcia | 2010-03-08 19:06:38 +0100 (Mon, 08 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed for 1.6.8

------------------------------------------------------------------------
r106982 | cgarcia | 2010-03-08 19:01:24 +0100 (Mon, 08 Mar 2010) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Removed paf creation.
Check epoch and equinox.

------------------------------------------------------------------------
r106972 | cgarcia | 2010-03-08 17:20:54 +0100 (Mon, 08 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_saa.c

Fixed typo

------------------------------------------------------------------------
r106955 | cgarcia | 2010-03-08 15:00:33 +0100 (Mon, 08 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed for version 1.6.7

------------------------------------------------------------------------
r106954 | cgarcia | 2010-03-08 14:59:16 +0100 (Mon, 08 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.h

Fixed preprocessor directive

------------------------------------------------------------------------
r106952 | cgarcia | 2010-03-08 14:57:40 +0100 (Mon, 08 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Fixed documentation

------------------------------------------------------------------------
r106951 | cgarcia | 2010-03-08 14:50:48 +0100 (Mon, 08 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in
   M /trunk/Pipelines/uves/uvess/reflex/Uves_Blue.xml.in

Fixed bug in ProductRenamer

------------------------------------------------------------------------
r106941 | cgarcia | 2010-03-08 13:58:07 +0100 (Mon, 08 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Changed to new directory names

------------------------------------------------------------------------
r106671 | cgarcia | 2010-03-02 13:50:31 +0100 (Tue, 02 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Fixed annotation.

------------------------------------------------------------------------
r106670 | cgarcia | 2010-03-02 13:47:34 +0100 (Tue, 02 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Added esorex default arguments to the workflow

------------------------------------------------------------------------
r106669 | cgarcia | 2010-03-02 13:41:34 +0100 (Tue, 02 Mar 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Improved annotation.

------------------------------------------------------------------------
r106488 | cgarcia | 2010-02-24 16:22:36 +0100 (Wed, 24 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Documentation for FitsRouter

------------------------------------------------------------------------
r106486 | cgarcia | 2010-02-24 15:59:54 +0100 (Wed, 24 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Cosmetic changes

------------------------------------------------------------------------
r106485 | cgarcia | 2010-02-24 15:49:43 +0100 (Wed, 24 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Update Documentation of DatSetChooser

------------------------------------------------------------------------
r106484 | cgarcia | 2010-02-24 15:42:47 +0100 (Wed, 24 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Added documentation for DataOrganizer

------------------------------------------------------------------------
r106469 | cgarcia | 2010-02-24 11:40:12 +0100 (Wed, 24 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c

Fixed problem with objects out of limits of the first image.

------------------------------------------------------------------------
r106441 | cgarcia | 2010-02-23 15:04:05 +0100 (Tue, 23 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Version 1.6.6

------------------------------------------------------------------------
r106440 | cgarcia | 2010-02-23 15:03:11 +0100 (Tue, 23 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Added rule for inheritance of combined offsets keywords

------------------------------------------------------------------------
r106437 | cgarcia | 2010-02-23 15:01:27 +0100 (Tue, 23 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Fixed DFS08397

------------------------------------------------------------------------
r106436 | cgarcia | 2010-02-23 14:57:27 +0100 (Tue, 23 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Removed keyword dump

------------------------------------------------------------------------
r106429 | cgarcia | 2010-02-23 11:58:49 +0100 (Tue, 23 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_pfits.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_pfits.h

Added get EPOCH and EQUINOX

------------------------------------------------------------------------
r106428 | cgarcia | 2010-02-23 11:58:05 +0100 (Tue, 23 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c

Improved error message if file cannot be saved

------------------------------------------------------------------------
r106427 | cgarcia | 2010-02-23 11:57:38 +0100 (Tue, 23 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Added get mean airmass

------------------------------------------------------------------------
r106425 | cgarcia | 2010-02-23 11:55:26 +0100 (Tue, 23 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Added the mean AIRMASS

------------------------------------------------------------------------
r106424 | cgarcia | 2010-02-23 11:54:52 +0100 (Tue, 23 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c

Better error message if WCS is not present

------------------------------------------------------------------------
r106407 | cgarcia | 2010-02-22 18:47:37 +0100 (Mon, 22 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Fixed DFS08407

------------------------------------------------------------------------
r106332 | cgarcia | 2010-02-18 18:27:51 +0100 (Thu, 18 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Modified actor name

------------------------------------------------------------------------
r106331 | cgarcia | 2010-02-18 18:11:28 +0100 (Thu, 18 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/Makefile.am

Put ChangeLog AUTHORS NEWS README TODO in pkgdata_DATA

------------------------------------------------------------------------
r106061 | cgarcia | 2010-02-12 12:02:33 +0100 (Fri, 12 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in

Changed the path to the OCA rules

------------------------------------------------------------------------
r105943 | cgarcia | 2010-02-10 17:20:32 +0100 (Wed, 10 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/reflex/Makefile.am

Changed link of wkf by a copy

------------------------------------------------------------------------
r105931 | cgarcia | 2010-02-10 16:33:33 +0100 (Wed, 10 Feb 2010) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/reflex
   A /trunk/Pipelines/hawki/hawkis/reflex/Hawki_Calib_Science.xml.in
   A /trunk/Pipelines/hawki/hawkis/reflex/Makefile.am
   A /trunk/Pipelines/hawki/hawkis/reflex/hawki_wkf.oca

Infrastructure for Reflex workflows installation

------------------------------------------------------------------------
r105930 | cgarcia | 2010-02-10 16:32:55 +0100 (Wed, 10 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/acinclude.m4

 Added workflows directory

------------------------------------------------------------------------
r105928 | cgarcia | 2010-02-10 16:32:11 +0100 (Wed, 10 Feb 2010) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Added reflex dir
Changed for 1.6.5

------------------------------------------------------------------------
r105927 | cgarcia | 2010-02-10 16:31:37 +0100 (Wed, 10 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/Makefile.am

Added workflow directory

------------------------------------------------------------------------
r105885 | cgarcia | 2010-02-09 14:59:17 +0100 (Tue, 09 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Fixed duplication of EXTNAMES (DFS08331)

------------------------------------------------------------------------
r105599 | cgarcia | 2010-02-02 18:20:54 +0100 (Tue, 02 Feb 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Better message on missing input files

------------------------------------------------------------------------
r105340 | cgarcia | 2010-01-27 18:36:32 +0100 (Wed, 27 Jan 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c

Better message on missing input files

------------------------------------------------------------------------
r105339 | cgarcia | 2010-01-27 18:24:12 +0100 (Wed, 27 Jan 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Fixed DFS08259

------------------------------------------------------------------------
r105012 | cgarcia | 2010-01-19 17:39:36 +0100 (Tue, 19 Jan 2010) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Move to 1.6.4

------------------------------------------------------------------------
r104170 | cgarcia | 2009-12-16 16:17:40 +0100 (Wed, 16 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c

Removed unused var

------------------------------------------------------------------------
r104169 | cgarcia | 2009-12-16 16:16:57 +0100 (Wed, 16 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_mask.c

Fix compiler warning

------------------------------------------------------------------------
r104168 | cgarcia | 2009-12-16 16:16:44 +0100 (Wed, 16 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Fix compiler  warning

------------------------------------------------------------------------
r104167 | cgarcia | 2009-12-16 16:16:04 +0100 (Wed, 16 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Change to version 1.6.3

------------------------------------------------------------------------
r104165 | cgarcia | 2009-12-16 16:10:33 +0100 (Wed, 16 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c

Removed duplicated variable

------------------------------------------------------------------------
r104148 | cgarcia | 2009-12-16 15:34:25 +0100 (Wed, 16 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Fixing a problem in the distortion linear term

------------------------------------------------------------------------
r104147 | cgarcia | 2009-12-16 15:33:08 +0100 (Wed, 16 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c

Fixed the order of CR* keywords in the saving of distortion

------------------------------------------------------------------------
r104146 | cgarcia | 2009-12-16 15:31:38 +0100 (Wed, 16 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Fixed a couple of bugs

------------------------------------------------------------------------
r103932 | cgarcia | 2009-12-09 17:36:30 +0100 (Wed, 09 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c

cpl_propertylist_copy_property_regexp has been subsituted by cpl_propertylist_append

------------------------------------------------------------------------
r103681 | cgarcia | 2009-12-04 11:58:12 +0100 (Fri, 04 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed to release 1.6.2

------------------------------------------------------------------------
r103679 | cgarcia | 2009-12-04 11:41:23 +0100 (Fri, 04 Dec 2009) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Fixed memory leak.
Errors in distortion correction are not ignored.
Improved messages.

------------------------------------------------------------------------
r103678 | cgarcia | 2009-12-04 11:39:14 +0100 (Fri, 04 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.c

Fixed a message

------------------------------------------------------------------------
r103677 | cgarcia | 2009-12-04 11:38:33 +0100 (Fri, 04 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Fixed a bug in loading the distortion files

------------------------------------------------------------------------
r103615 | cgarcia | 2009-12-02 18:36:23 +0100 (Wed, 02 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/common/irplib/irplib_match_cats.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Fixed memory leak

------------------------------------------------------------------------
r103535 | cgarcia | 2009-12-01 13:32:16 +0100 (Tue, 01 Dec 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Removed debug messages.
Subtracted mean distortion after subtracting 1st order.

------------------------------------------------------------------------
r103522 | cgarcia | 2009-11-30 20:12:13 +0100 (Mon, 30 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Fixing 1st order fitting

------------------------------------------------------------------------
r103521 | cgarcia | 2009-11-30 20:09:50 +0100 (Mon, 30 Nov 2009) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c

Fixed memory leaks.
Added warning if filter is not present in 2MASS.
Improved error checking.

------------------------------------------------------------------------
r103520 | cgarcia | 2009-11-30 20:07:06 +0100 (Mon, 30 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Apply growing radius only if != 0

------------------------------------------------------------------------
r103448 | cgarcia | 2009-11-27 15:35:43 +0100 (Fri, 27 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Added option to optionally subtract the linear term.

------------------------------------------------------------------------
r103433 | cgarcia | 2009-11-27 11:26:02 +0100 (Fri, 27 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c

Added wcs keywords to the saved distortion images

------------------------------------------------------------------------
r103431 | cgarcia | 2009-11-27 11:17:00 +0100 (Fri, 27 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Fixed gsl linking

------------------------------------------------------------------------
r103410 | cgarcia | 2009-11-26 17:00:02 +0100 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Added GSL dependency

------------------------------------------------------------------------
r103381 | cgarcia | 2009-11-26 13:58:09 +0100 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am

Added distortion recipe

------------------------------------------------------------------------
r103378 | cgarcia | 2009-11-26 13:00:35 +0100 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Check gsl libraries through PKG_CHECK_CONFIG

------------------------------------------------------------------------
r103377 | cgarcia | 2009-11-26 12:26:04 +0100 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed for release 1.6.1

------------------------------------------------------------------------
r103373 | cgarcia | 2009-11-26 11:35:41 +0100 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Removed the test directory

------------------------------------------------------------------------
r103372 | cgarcia | 2009-11-26 11:32:57 +0100 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Added hawki_mask and hawki_match_cats to the compilation

------------------------------------------------------------------------
r103370 | cgarcia | 2009-11-26 10:52:32 +0100 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_match_cats.c
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_match_cats.h

Utilities to match objects.

------------------------------------------------------------------------
r103369 | cgarcia | 2009-11-26 10:51:54 +0100 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_mask.c
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_mask.h

Utilities for masks

------------------------------------------------------------------------
r103367 | cgarcia | 2009-11-26 10:49:11 +0100 (Thu, 26 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.c

Added raw distortion to raw frames.

------------------------------------------------------------------------
r103366 | cgarcia | 2009-11-26 10:48:11 +0100 (Thu, 26 Nov 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Added defines for raw distortion.
Added defines for flat errors.

------------------------------------------------------------------------
r103354 | cgarcia | 2009-11-25 17:25:20 +0100 (Wed, 25 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.h

Added support to save distortion

------------------------------------------------------------------------
r103353 | cgarcia | 2009-11-25 17:24:35 +0100 (Wed, 25 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image_stats.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_image_stats.h

Added function to get sigma from quartile

------------------------------------------------------------------------
r103352 | cgarcia | 2009-11-25 17:23:45 +0100 (Wed, 25 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.h

Added get_size functions to distortion

------------------------------------------------------------------------
r103351 | cgarcia | 2009-11-25 17:22:47 +0100 (Wed, 25 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

Support to remove linear term.

------------------------------------------------------------------------
r103350 | cgarcia | 2009-11-25 17:20:46 +0100 (Wed, 25 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c

Added support for QC keywords

------------------------------------------------------------------------
r103349 | cgarcia | 2009-11-25 17:20:21 +0100 (Wed, 25 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Added support for growing radius kernel.

------------------------------------------------------------------------
r103309 | cgarcia | 2009-11-24 16:01:41 +0100 (Tue, 24 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Changed error message

------------------------------------------------------------------------
r103135 | cgarcia | 2009-11-24 10:39:52 +0100 (Tue, 24 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c

Added INSTRUME keyword

------------------------------------------------------------------------
r102950 | cgarcia | 2009-11-17 11:22:44 +0100 (Tue, 17 Nov 2009) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_distortion.c

First version of the distortion recipe

------------------------------------------------------------------------
r102671 | cgarcia | 2009-11-06 18:52:20 +0100 (Fri, 06 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Rolled back the creation of the paf files, since the deliver will use esorex 3.7.2, which is not yet pacthed to handle the problem of QC in the mean header.

------------------------------------------------------------------------
r102572 | cgarcia | 2009-11-04 18:56:47 +0100 (Wed, 04 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c

Changed the format of the product to be the same as the ZPOINT recipe

------------------------------------------------------------------------
r102569 | cgarcia | 2009-11-04 18:27:23 +0100 (Wed, 04 Nov 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Changed the format of the ZPOINT_RES product. Now it is a multiextension FITS.
Removed creation of paf files.

------------------------------------------------------------------------
r102548 | cgarcia | 2009-11-04 15:47:01 +0100 (Wed, 04 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Fixed typo.

------------------------------------------------------------------------
r102545 | cgarcia | 2009-11-04 15:22:59 +0100 (Wed, 04 Nov 2009) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/autogen.sh

Copied from esorex. It is by far more updated than the old bootstrap.

------------------------------------------------------------------------
r102544 | cgarcia | 2009-11-04 15:22:26 +0100 (Wed, 04 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/bootstrap

Calls autogen.sh instead

------------------------------------------------------------------------
r102525 | cgarcia | 2009-11-04 12:31:11 +0100 (Wed, 04 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Removed code to create paf files

------------------------------------------------------------------------
r102518 | cgarcia | 2009-11-04 12:08:27 +0100 (Wed, 04 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c

Removed code to create paf files

------------------------------------------------------------------------
r102508 | cgarcia | 2009-11-04 11:29:58 +0100 (Wed, 04 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Removed paf creation from the recipe.

------------------------------------------------------------------------
r102500 | cgarcia | 2009-11-03 19:56:08 +0100 (Tue, 03 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c

Removed code to create paf files

------------------------------------------------------------------------
r102418 | cgarcia | 2009-10-30 11:15:11 +0100 (Fri, 30 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Removed error tracking variables.

------------------------------------------------------------------------
r102304 | cgarcia | 2009-10-27 19:36:26 +0100 (Tue, 27 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Issue an error if GSL is not present

------------------------------------------------------------------------
r102303 | cgarcia | 2009-10-27 19:12:32 +0100 (Tue, 27 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Fixed name files for the sky bpms

------------------------------------------------------------------------
r102302 | cgarcia | 2009-10-27 18:50:58 +0100 (Tue, 27 Oct 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Fixed bug DFS7831.
The detection of objects is done on the first image, instead of the subtraction of the first and the second.

------------------------------------------------------------------------
r102264 | cgarcia | 2009-10-26 18:14:50 +0100 (Mon, 26 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Output the number of frames rejected due to large offsets.

------------------------------------------------------------------------
r102263 | cgarcia | 2009-10-26 17:35:25 +0100 (Mon, 26 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Improved message for large offsets

------------------------------------------------------------------------
r102260 | cgarcia | 2009-10-26 17:03:33 +0100 (Mon, 26 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Fixed other double free

------------------------------------------------------------------------
r102257 | cgarcia | 2009-10-26 16:39:52 +0100 (Mon, 26 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c

Included missing irplib_utils.h

------------------------------------------------------------------------
r102256 | cgarcia | 2009-10-26 16:39:18 +0100 (Mon, 26 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Fixed pointer assignment

------------------------------------------------------------------------
r102255 | cgarcia | 2009-10-26 16:38:05 +0100 (Mon, 26 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Fixed double free

------------------------------------------------------------------------
r102215 | cgarcia | 2009-10-23 19:24:55 +0200 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Change BKG_MASK to BKG_BPM.

------------------------------------------------------------------------
r102214 | cgarcia | 2009-10-23 19:22:05 +0200 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Change BKG_MASK to BKG_BPM.

------------------------------------------------------------------------
r102213 | cgarcia | 2009-10-23 19:21:06 +0200 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Changed BKG_MASK for BKG_BPM

------------------------------------------------------------------------
r102212 | cgarcia | 2009-10-23 19:07:58 +0200 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c

Fixed problem with WCS

------------------------------------------------------------------------
r102211 | cgarcia | 2009-10-23 18:49:12 +0200 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Removed tests on hawki/tests

------------------------------------------------------------------------
r102210 | cgarcia | 2009-10-23 18:45:26 +0200 (Fri, 23 Oct 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed to version 1.6.0
Check for GSL

------------------------------------------------------------------------
r102209 | cgarcia | 2009-10-23 18:29:22 +0200 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/tests/Makefile.am

Makefile for tests

------------------------------------------------------------------------
r102206 | cgarcia | 2009-10-23 18:05:33 +0200 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Support for background masks

------------------------------------------------------------------------
r102205 | cgarcia | 2009-10-23 18:02:01 +0200 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Conditional compilation whether gsl is present or not.

------------------------------------------------------------------------
r102204 | cgarcia | 2009-10-23 17:54:45 +0200 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Fixed memory leaks

------------------------------------------------------------------------
r102202 | cgarcia | 2009-10-23 17:40:27 +0200 (Fri, 23 Oct 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Added used_frames when saving products.
Change to new hawki_save API

------------------------------------------------------------------------
r102198 | cgarcia | 2009-10-23 17:13:06 +0200 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c

Added support for sky mask creation.

------------------------------------------------------------------------
r102112 | cgarcia | 2009-10-21 19:13:38 +0200 (Wed, 21 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Added used_frames when saving products

------------------------------------------------------------------------
r102100 | cgarcia | 2009-10-21 15:50:19 +0200 (Wed, 21 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Added used_frames when saving products

------------------------------------------------------------------------
r102098 | cgarcia | 2009-10-21 15:35:52 +0200 (Wed, 21 Oct 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Added support for background masks where the bkg value cannot be computed.
Support for distortion images in X, Y

------------------------------------------------------------------------
r102094 | cgarcia | 2009-10-21 15:11:34 +0200 (Wed, 21 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/tests/hawki_distortion-test.c

Change to distortion images in X, Y

------------------------------------------------------------------------
r102093 | cgarcia | 2009-10-21 15:07:49 +0200 (Wed, 21 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.c

Fixed memory leak

------------------------------------------------------------------------
r102092 | cgarcia | 2009-10-21 15:03:35 +0200 (Wed, 21 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c

Change to distortion images in X, Y

------------------------------------------------------------------------
r102084 | cgarcia | 2009-10-21 14:31:24 +0200 (Wed, 21 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

The set of frames used is properly updated in the FITS header.

------------------------------------------------------------------------
r102069 | cgarcia | 2009-10-20 19:25:08 +0200 (Tue, 20 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c

The set of frames used is properly updated in the FITS header.

------------------------------------------------------------------------
r101878 | cgarcia | 2009-10-14 11:20:02 +0200 (Wed, 14 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Added matching catalogues column

------------------------------------------------------------------------
r101865 | cgarcia | 2009-10-13 19:26:55 +0200 (Tue, 13 Oct 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Removed debug messages.
Improved the inversion of the distortion correction.

------------------------------------------------------------------------
r101855 | cgarcia | 2009-10-13 15:24:12 +0200 (Tue, 13 Oct 2009) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/tests
   A /trunk/Pipelines/hawki/hawkis/hawki/tests/hawki_distortion-test.c

First version of distortion test

------------------------------------------------------------------------
r101854 | cgarcia | 2009-10-13 15:23:24 +0200 (Tue, 13 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.c

Formatting change

------------------------------------------------------------------------
r101853 | cgarcia | 2009-10-13 15:21:46 +0200 (Tue, 13 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Changed PRO.CATG for DISTORTION_X and DISTORTION_Y

------------------------------------------------------------------------
r101852 | cgarcia | 2009-10-13 15:20:43 +0200 (Tue, 13 Oct 2009) | 5 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Change to linear interpolation.
Interpolation are now images, instead of tables.
Changed the APIs.
Several changes.

------------------------------------------------------------------------
r101849 | cgarcia | 2009-10-13 14:36:14 +0200 (Tue, 13 Oct 2009) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.h

Change to linear interpolation.
Interpolation are now images, instead of tables.
Changed the APIs

------------------------------------------------------------------------
r101819 | cgarcia | 2009-10-12 19:25:38 +0200 (Mon, 12 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c

Big change: added support for regular grid distortions in X and Y.

------------------------------------------------------------------------
r101817 | cgarcia | 2009-10-12 19:10:37 +0200 (Mon, 12 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_illum.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c

Move to new hawki_*_save API

------------------------------------------------------------------------
r101816 | cgarcia | 2009-10-12 19:01:40 +0200 (Mon, 12 Oct 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c

Removed pipeline identification from saving functions.
Allow products frames to be used as a reference frame for CHIP -> EXTENSION mapping.

------------------------------------------------------------------------
r101815 | cgarcia | 2009-10-12 19:00:05 +0200 (Mon, 12 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.h

Removed pipelien identification from saving functions.

------------------------------------------------------------------------
r101814 | cgarcia | 2009-10-12 18:59:22 +0200 (Mon, 12 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.h

Format change

------------------------------------------------------------------------
r101813 | cgarcia | 2009-10-12 18:55:52 +0200 (Mon, 12 Oct 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Added new DISTORTIONX,Y types.
Changed HAWKI_COL_JITTER_POSX,... to HAWKI_COL_OBJ_POSX

------------------------------------------------------------------------
r101408 | cgarcia | 2009-09-29 11:13:00 +0200 (Tue, 29 Sep 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_obj_det.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c

Changed names of column variables

------------------------------------------------------------------------
r101407 | cgarcia | 2009-09-29 11:10:17 +0200 (Tue, 29 Sep 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c

Using distortion_new

------------------------------------------------------------------------
r101406 | cgarcia | 2009-09-29 11:09:30 +0200 (Tue, 29 Sep 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Initialize variable

------------------------------------------------------------------------
r101401 | cgarcia | 2009-09-28 17:53:12 +0200 (Mon, 28 Sep 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Changed the interpolation method.
Added functionality to compute a distortion solution using catalogues with reference points.

------------------------------------------------------------------------
r101317 | cgarcia | 2009-09-24 18:32:30 +0200 (Thu, 24 Sep 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.h

Change to a more rational signature

------------------------------------------------------------------------
r101234 | cgarcia | 2009-09-23 15:33:51 +0200 (Wed, 23 Sep 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.h

Added new functions to compute distortion solutions and correct individual positions

------------------------------------------------------------------------
r101145 | cgarcia | 2009-09-21 19:38:11 +0200 (Mon, 21 Sep 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c

Fixed uninitialized pointers

------------------------------------------------------------------------
r101144 | cgarcia | 2009-09-21 19:31:57 +0200 (Mon, 21 Sep 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Added detector size defines

------------------------------------------------------------------------
r101143 | cgarcia | 2009-09-21 19:30:47 +0200 (Mon, 21 Sep 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Removed unused variables.

------------------------------------------------------------------------
r100779 | cgarcia | 2009-09-10 15:22:49 +0200 (Thu, 10 Sep 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

No longer uses hawki_img_saa, but uses the cpl functionality instead.

------------------------------------------------------------------------
r100457 | cgarcia | 2009-09-01 11:52:49 +0200 (Tue, 01 Sep 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_illum.c

Fixed compilation warning.
 Fixed bug (bad function name called)

------------------------------------------------------------------------
r100456 | cgarcia | 2009-09-01 11:51:52 +0200 (Tue, 01 Sep 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c

Completely changed the recipe name all through the code

------------------------------------------------------------------------
r100453 | cgarcia | 2009-09-01 11:30:56 +0200 (Tue, 01 Sep 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Fixed compilation warning

------------------------------------------------------------------------
r100233 | cgarcia | 2009-08-25 15:57:11 +0200 (Tue, 25 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.h

Added function hawki_get_ext_detector_mapping which speeds up loading compressed frames.

------------------------------------------------------------------------
r100133 | cgarcia | 2009-08-21 13:23:53 +0200 (Fri, 21 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to version 1.5.5 (1.6.0 will be delayed)

------------------------------------------------------------------------
r100115 | cgarcia | 2009-08-20 15:42:50 +0200 (Thu, 20 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.c

Better error message for FITS without 4 extensions

------------------------------------------------------------------------
r100114 | cgarcia | 2009-08-20 15:41:58 +0200 (Thu, 20 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Improved robustness if files are wrong.

------------------------------------------------------------------------
r99995 | cgarcia | 2009-08-17 16:32:15 +0200 (Mon, 17 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Fixed bug with respect to data type of bpm hot

------------------------------------------------------------------------
r99994 | cgarcia | 2009-08-17 16:18:58 +0200 (Mon, 17 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Improved message when missing hotpixel mask. Redesign of merge functions.

------------------------------------------------------------------------
r99904 | cgarcia | 2009-08-12 19:34:27 +0200 (Wed, 12 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c

Fixed typo.

------------------------------------------------------------------------
r99903 | cgarcia | 2009-08-12 19:33:52 +0200 (Wed, 12 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.c

Better error message for FITS without 4 extensions

------------------------------------------------------------------------
r99902 | cgarcia | 2009-08-12 18:19:27 +0200 (Wed, 12 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c

Initialize some pointers to NULL

------------------------------------------------------------------------
r99896 | cgarcia | 2009-08-12 17:16:55 +0200 (Wed, 12 Aug 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to version 1.6.0

------------------------------------------------------------------------
r99082 | cgarcia | 2009-07-20 19:38:06 +0200 (Mon, 20 Jul 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Fix bug with airmasses.

------------------------------------------------------------------------
r99077 | cgarcia | 2009-07-20 15:48:49 +0200 (Mon, 20 Jul 2009) | 2 lines
Changed paths:
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_distortion.c

Moved hawki_step_distortion to hawki_step_apply_dist

------------------------------------------------------------------------
r99076 | cgarcia | 2009-07-20 15:47:57 +0200 (Mon, 20 Jul 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_apply_dist.c

Changed hawki_step_distortion to hawki_step_apply_dist

------------------------------------------------------------------------
r99074 | cgarcia | 2009-07-20 15:36:39 +0200 (Mon, 20 Jul 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Change default rejection parameters to 1,1

------------------------------------------------------------------------
r99073 | cgarcia | 2009-07-20 15:34:24 +0200 (Mon, 20 Jul 2009) | 6 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Saved individual airmasses, humidity one per detector apart from the mean airmass.
Changed detection sigma to 7.
Make use of the detection search window (previously ignored)
The bad pixel correction is done after flatfielding, not before.
Saved the starname and filter in the final table.

------------------------------------------------------------------------
r98693 | cgarcia | 2009-07-08 15:44:14 +0200 (Wed, 08 Jul 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Fixed several compiling errors

------------------------------------------------------------------------
r98690 | cgarcia | 2009-07-08 15:41:36 +0200 (Wed, 08 Jul 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c

Fixed compiling errors/warnings

------------------------------------------------------------------------
r98328 | cgarcia | 2009-06-30 04:26:15 +0200 (Tue, 30 Jun 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Renamed back DARKBPM to HOTBPM and FLATBPM to COLDBPM
Added column STARNAME for the zpoint table.

------------------------------------------------------------------------
r98327 | cgarcia | 2009-06-30 04:24:01 +0200 (Tue, 30 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.c

Renamed back DARKBPM to HOTBPM and FLATBPM to COLDBPM

------------------------------------------------------------------------
r98291 | cgarcia | 2009-06-29 00:26:37 +0200 (Mon, 29 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Change info messages

------------------------------------------------------------------------
r98288 | cgarcia | 2009-06-28 20:54:33 +0200 (Sun, 28 Jun 2009) | 5 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c

Support for bad pixel masks in the combination of the frames.
Changed naming of some variables.
Default rejection parameters are changed to "1,1".
Default border rejection has been changed to 4.

------------------------------------------------------------------------
r98287 | cgarcia | 2009-06-28 20:50:47 +0200 (Sun, 28 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c

Improved error message.

------------------------------------------------------------------------
r98286 | cgarcia | 2009-06-28 20:48:12 +0200 (Sun, 28 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Added compilation for geom_img files.

------------------------------------------------------------------------
r98285 | cgarcia | 2009-06-28 20:46:41 +0200 (Sun, 28 Jun 2009) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_geom_img.c
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_geom_img.h
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_geom_img_body.h

Copy of cpl_geom_img_saa to support bad pixel masks. Temporal as long as it is updated in cpl.

------------------------------------------------------------------------
r98240 | cgarcia | 2009-06-26 05:00:12 +0200 (Fri, 26 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c

Fixed typo from previous commit

------------------------------------------------------------------------
r98208 | cgarcia | 2009-06-25 20:59:57 +0200 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to 1.5.4

------------------------------------------------------------------------
r98155 | cgarcia | 2009-06-25 07:02:33 +0200 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.c

Including HAWKI_CALPRO_BPM_DARK and HAWKI_CALPRO_BPMFLAT in CALIB group

------------------------------------------------------------------------
r98154 | cgarcia | 2009-06-25 07:00:19 +0200 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Renamed HOTBPM ---> BPMDARK & COLDBPM--> BPMFLAT

------------------------------------------------------------------------
r98153 | cgarcia | 2009-06-25 06:57:21 +0200 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Renamed coldpixels to bpmflat and hotpixels to bpmdark

------------------------------------------------------------------------
r98152 | cgarcia | 2009-06-25 06:55:42 +0200 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

*** empty log message ***

------------------------------------------------------------------------
r98151 | cgarcia | 2009-06-25 06:54:09 +0200 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Renaming hotbpm to bpmdark and coldbpm to bpmflat

------------------------------------------------------------------------
r98150 | cgarcia | 2009-06-25 06:51:48 +0200 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c

Change the hot BPM by bpmdark

------------------------------------------------------------------------
r98149 | cgarcia | 2009-06-25 06:36:14 +0200 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Changed default border value from 2 to 4

------------------------------------------------------------------------
r97795 | cgarcia | 2009-06-16 17:11:53 +0200 (Tue, 16 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Change the way to get the reference frame

------------------------------------------------------------------------
r97791 | cgarcia | 2009-06-16 17:02:07 +0200 (Tue, 16 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.h

New function to get a suitable reference frame

------------------------------------------------------------------------
r97790 | cgarcia | 2009-06-16 17:01:34 +0200 (Tue, 16 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c

The reference frame to get the extension <--> hip relation is now chosen more carefully.

------------------------------------------------------------------------
r97789 | cgarcia | 2009-06-16 16:59:26 +0200 (Tue, 16 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.c

std stars table ans dist table are now  clasiffied in the calib group

------------------------------------------------------------------------
r97653 | cgarcia | 2009-06-10 17:50:27 +0200 (Wed, 10 Jun 2009) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Propagate WCS to the check fits.
Several renaming.
Renamed QC ZPOINT in the main header to QC ZPOINT MEAN (the same for QC ATX0)

------------------------------------------------------------------------
r97651 | cgarcia | 2009-06-10 17:41:52 +0200 (Wed, 10 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Change signature because labels in hawki_detectors_locate_star is now allocated outside the function

------------------------------------------------------------------------
r97650 | cgarcia | 2009-06-10 17:41:19 +0200 (Wed, 10 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

labels in hawki_detectors_locate_star is now allocated outside the function

------------------------------------------------------------------------
r97437 | cgarcia | 2009-06-04 16:58:00 +0200 (Thu, 04 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

*** empty log message ***

------------------------------------------------------------------------
r97436 | cgarcia | 2009-06-04 16:44:16 +0200 (Thu, 04 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c

Small param description update

------------------------------------------------------------------------
r97435 | cgarcia | 2009-06-04 16:42:19 +0200 (Thu, 04 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Clarified the comments for the lowval_bpm and highval_bpm parameters.

------------------------------------------------------------------------
r97434 | cgarcia | 2009-06-04 16:38:11 +0200 (Thu, 04 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Improved output messages.

------------------------------------------------------------------------
r97433 | cgarcia | 2009-06-04 16:37:28 +0200 (Thu, 04 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Low frequency signal is not subtracted from the master dark to compute the hot pixels mask.

------------------------------------------------------------------------
r97191 | cgarcia | 2009-05-28 15:44:52 +0200 (Thu, 28 May 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c

Sorting 2MASS stars before matching

------------------------------------------------------------------------
r96287 | cgarcia | 2009-05-07 16:15:21 +0200 (Thu, 07 May 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Fixed nan in bkg_instmag when the mean background is less than zero.

------------------------------------------------------------------------
r96104 | cgarcia | 2009-05-05 14:01:25 +0200 (Tue, 05 May 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Fixed memory leak

------------------------------------------------------------------------
r95933 | cgarcia | 2009-04-30 13:06:04 +0200 (Thu, 30 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Added support for subtracting dark image to science frames

------------------------------------------------------------------------
r95932 | cgarcia | 2009-04-30 13:04:24 +0200 (Thu, 30 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Renamed chip to detector

------------------------------------------------------------------------
r95931 | cgarcia | 2009-04-30 12:58:48 +0200 (Thu, 30 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_illum.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_distortion.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c

Changed chip by detector in function names

------------------------------------------------------------------------
r95930 | cgarcia | 2009-04-30 12:56:20 +0200 (Thu, 30 Apr 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c

Changed chip by detector in function names.
Removed the flat thresholding.

------------------------------------------------------------------------
r95929 | cgarcia | 2009-04-30 12:55:44 +0200 (Thu, 30 Apr 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Changed chip by detector in function names.
Improved error messages

------------------------------------------------------------------------
r95928 | cgarcia | 2009-04-30 12:49:56 +0200 (Thu, 30 Apr 2009) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Changed chip by detector.
Improved error state handling.
Improved recipe description.

------------------------------------------------------------------------
r95927 | cgarcia | 2009-04-30 12:40:43 +0200 (Thu, 30 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c

Changed chip by detector in function names

------------------------------------------------------------------------
r95926 | cgarcia | 2009-04-30 12:40:21 +0200 (Thu, 30 Apr 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_calib.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_calib.h

Changed chip by detector in function names.
The calibration functions have been redesigned. No I/O is performed, the functions already take a cpl_image as an input for all the calibrations.

------------------------------------------------------------------------
r95924 | cgarcia | 2009-04-30 12:24:19 +0200 (Thu, 30 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.h
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Changed chip by detector in function names

------------------------------------------------------------------------
r95804 | cgarcia | 2009-04-28 15:58:14 +0200 (Tue, 28 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Fixed compilation error

------------------------------------------------------------------------
r95748 | cgarcia | 2009-04-27 15:30:15 +0200 (Mon, 27 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_distortion.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c

Improved error handling when saving errors occur.

------------------------------------------------------------------------
r95747 | cgarcia | 2009-04-27 15:29:12 +0200 (Mon, 27 Apr 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stitch.c

Improved error handling when saving errors occur.
Fixed memory leak

------------------------------------------------------------------------
r95746 | cgarcia | 2009-04-27 15:27:51 +0200 (Mon, 27 Apr 2009) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Improved error handling when saving errors occur.
Issue a banner.
Improved description

------------------------------------------------------------------------
r95745 | cgarcia | 2009-04-27 15:24:37 +0200 (Mon, 27 Apr 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c

Return status depends on the error code stack.
Improved description

------------------------------------------------------------------------
r95744 | cgarcia | 2009-04-27 15:22:01 +0200 (Mon, 27 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stdstars.c

Return status depends on the error code stack

------------------------------------------------------------------------
r95740 | cgarcia | 2009-04-27 15:01:45 +0200 (Mon, 27 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c

Improved error handling when saving errors occur.

------------------------------------------------------------------------
r95710 | cgarcia | 2009-04-27 11:07:07 +0200 (Mon, 27 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Added hawki_save.c

------------------------------------------------------------------------
r95487 | cgarcia | 2009-04-22 15:18:39 +0200 (Wed, 22 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Added include hawki_save.h

------------------------------------------------------------------------
r95456 | cgarcia | 2009-04-22 11:43:18 +0200 (Wed, 22 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c

Fixed some memory leaks and better error handling

------------------------------------------------------------------------
r95241 | cgarcia | 2009-04-17 10:57:04 +0200 (Fri, 17 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to version 1.5.2

------------------------------------------------------------------------
r95161 | cgarcia | 2009-04-15 18:07:07 +0200 (Wed, 15 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Uses a better naming scheme for some variables.

------------------------------------------------------------------------
r95160 | cgarcia | 2009-04-15 18:03:50 +0200 (Wed, 15 Apr 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Added parameters lowval_bpm and highval_bpm to include pixels outside this range into the bpm.
Issue a banner at the beginning of execution.

------------------------------------------------------------------------
r95157 | cgarcia | 2009-04-15 16:36:09 +0200 (Wed, 15 Apr 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.h

Save functions moved to its corresponding hawki_save file.
Added functions hawki_load_frame_extension and hawki_load_extensions to handle the loading of only one extension.

------------------------------------------------------------------------
r95156 | cgarcia | 2009-04-15 16:33:37 +0200 (Wed, 15 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_calib.h

Added hawki_flat_bpm_imglist_calib to calibrate a list of images.

------------------------------------------------------------------------
r95155 | cgarcia | 2009-04-15 16:33:11 +0200 (Wed, 15 Apr 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_calib.c

Not to filter values between 0.5 and 2 in the flat when applying the flat.
Added hawki_flat_bpm_imglist_calib to calibrate a list of images.

------------------------------------------------------------------------
r95154 | cgarcia | 2009-04-15 16:30:28 +0200 (Wed, 15 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_distortion.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stitch.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stdstars.c

Issue a banner as the first step of the execution

------------------------------------------------------------------------
r95153 | cgarcia | 2009-04-15 16:20:59 +0200 (Wed, 15 Apr 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_illum.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c

Issue a banner as the first step of the execution

------------------------------------------------------------------------
r95146 | cgarcia | 2009-04-15 15:07:28 +0200 (Wed, 15 Apr 2009) | 6 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Implements the following functions:
 - hawki_print_banner: prints a banner with the HAWK-I pipeline.
 - hawki_get_version: gets the version of the pipeline
 - hawki_compute_coldpixels: compute a bpm of cold pixels using a given flat.
 - hawki_image_inverse_threshold: creates a mask with a given value for pixels inside a valid range or outside a valid range.

------------------------------------------------------------------------
r95145 | cgarcia | 2009-04-15 15:05:26 +0200 (Wed, 15 Apr 2009) | 6 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Added the following functions:
 - hawki_print_banner: prints a banner with the HAWK-I pipeline.
 - hawki_get_version: gets the version of the pipeline
 - hawki_compute_coldpixels: compute a bpm of cold pixels using a given flat.
 - hawki_image_inverse_threshold: creates a mask with a given value for pixels inside a valid range or outside a valid range.

------------------------------------------------------------------------
r93756 | cgarcia | 2009-03-13 12:52:14 +0100 (Fri, 13 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_variance.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_variance.h

Add code to create the variance of an imagelist (comes from hawki_cal_dark)

------------------------------------------------------------------------
r93755 | cgarcia | 2009-03-13 12:51:18 +0100 (Fri, 13 Mar 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c

Included hawki_save.h
Removed code to create the variance of an imagelist -> moved to hawki_variance

------------------------------------------------------------------------
r93754 | cgarcia | 2009-03-13 12:49:54 +0100 (Fri, 13 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_illum.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_distortion.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c

Included hawki_save.h

------------------------------------------------------------------------
r93753 | cgarcia | 2009-03-13 12:49:17 +0100 (Fri, 13 Mar 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c

Included hawki_save.h.
Refactor the stats table saving function

------------------------------------------------------------------------
r93752 | cgarcia | 2009-03-13 12:45:27 +0100 (Fri, 13 Mar 2009) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.c
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_save.h

Moved saving functions from hawki_load

------------------------------------------------------------------------
r93751 | cgarcia | 2009-03-13 12:44:12 +0100 (Fri, 13 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.h

Removed functionality to compute bkg for all the chips and object list for memory inefficiency. The functionality now is used directly by hawki_step_compute_bkg.

------------------------------------------------------------------------
r93750 | cgarcia | 2009-03-13 12:41:46 +0100 (Fri, 13 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c

Improved memory fingerprint by a factor of 4!

------------------------------------------------------------------------
r93509 | cgarcia | 2009-03-10 09:57:20 +0100 (Tue, 10 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to version 1.5.1

------------------------------------------------------------------------
r93425 | cgarcia | 2009-03-09 12:01:31 +0100 (Mon, 09 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c

Changed the default parameters for the selection of frames to match those needed by Paranal.

------------------------------------------------------------------------
r93159 | cgarcia | 2009-03-03 12:52:15 +0100 (Tue, 03 Mar 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_illum.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c

Added workaround for DFS6695. Writing the PROCATG keywords in the paf files

------------------------------------------------------------------------
r92489 | cgarcia | 2009-02-19 16:14:57 +0100 (Thu, 19 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c

Changes to fix some compilation warnings

------------------------------------------------------------------------
r92486 | cgarcia | 2009-02-19 16:12:59 +0100 (Thu, 19 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Changes to disable some compilation warnings

------------------------------------------------------------------------
r92339 | cgarcia | 2009-02-17 11:39:59 +0100 (Tue, 17 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c

Uses irplib_stdstar_find_star

------------------------------------------------------------------------
r92338 | cgarcia | 2009-02-17 11:38:39 +0100 (Tue, 17 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Changed the macros por RAW frame identifications

------------------------------------------------------------------------
r92289 | cgarcia | 2009-02-16 16:47:12 +0100 (Mon, 16 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_basic_calib.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_combine.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_compute_bkg.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_detect_obj.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_distortion.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_photom_2mass.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_refine_offsets.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stats.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_stitch.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_step_subtract_bkg.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_basic_calib.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_combine.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_compute_bkg.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_detect_obj.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_distortion.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_photom_2mass.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_refine_offsets.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stats.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stitch.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_subtract_bkg.c

Renaming of modular recipes. From _util_ to _step_

------------------------------------------------------------------------
r92279 | cgarcia | 2009-02-16 15:12:40 +0100 (Mon, 16 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Changed version number

------------------------------------------------------------------------
r92278 | cgarcia | 2009-02-16 15:10:44 +0100 (Mon, 16 Feb 2009) | 5 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/Makefile.am
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_dark.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_flat.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_illum.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_lingain.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_zpoint.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_dark.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_detlin.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_flat.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_illum.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_jitter.c
   D /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_zpoint.c
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_sci_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stats.c


 Several renaming of recipes:
- recipes _img_ with calibration functionalities have been renamed _cal_
- science recipe (hawki_img_jitter) renamed to _sci_

------------------------------------------------------------------------
r92254 | cgarcia | 2009-02-16 11:22:12 +0100 (Mon, 16 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c

Improve ouput messages

------------------------------------------------------------------------
r92253 | cgarcia | 2009-02-16 11:21:15 +0100 (Mon, 16 Feb 2009) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_cal_lingain.c

First implementation of detmon recipe

------------------------------------------------------------------------
r92252 | cgarcia | 2009-02-16 11:20:25 +0100 (Mon, 16 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_refine_offsets.c

*** empty log message ***

------------------------------------------------------------------------
r92251 | cgarcia | 2009-02-16 11:20:04 +0100 (Mon, 16 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_zpoint.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_detect_obj.c

Deleted workaround

------------------------------------------------------------------------
r92249 | cgarcia | 2009-02-16 11:18:52 +0100 (Mon, 16 Feb 2009) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_jitter.c

Improved man page.
Variable names reorganized
Parameters -off and --objs changed to --offsets --objects

------------------------------------------------------------------------
r92248 | cgarcia | 2009-02-16 11:10:35 +0100 (Mon, 16 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_flat.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_illum.c

Deleted workaround

------------------------------------------------------------------------
r92247 | cgarcia | 2009-02-16 11:10:02 +0100 (Mon, 16 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_detlin.c

Fixed stats bug

------------------------------------------------------------------------
r91862 | cgarcia | 2009-02-09 14:10:23 +0100 (Mon, 09 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_detlin.c

Improved error message

------------------------------------------------------------------------
r91861 | cgarcia | 2009-02-09 14:10:00 +0100 (Mon, 09 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_jitter.c

Change to cpl 4.9.9

------------------------------------------------------------------------
r91727 | cgarcia | 2009-02-05 13:56:02 +0100 (Thu, 05 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_combine.c

Changed to make use of cpl_geom_img_saa

------------------------------------------------------------------------
r91725 | cgarcia | 2009-02-05 13:52:34 +0100 (Thu, 05 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

New function to locate a star in the set of chips using WCS

------------------------------------------------------------------------
r91724 | cgarcia | 2009-02-05 13:51:28 +0100 (Thu, 05 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_saa.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_saa.h

deleted hawki_geom_img_offset_saa, since it has been replaced by cpl_geom_img_offset_saa

------------------------------------------------------------------------
r91723 | cgarcia | 2009-02-05 13:50:39 +0100 (Thu, 05 Feb 2009) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_pfits.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_pfits.h

Added suport to read individual WCS keywords.
Added suport to read target RA, DEC keywords.

------------------------------------------------------------------------
r91722 | cgarcia | 2009-02-05 13:48:07 +0100 (Thu, 05 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.c

Changes for cpl 4.9.9

------------------------------------------------------------------------
r91721 | cgarcia | 2009-02-05 13:47:11 +0100 (Thu, 05 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

New columns to support the 2mass recipe

------------------------------------------------------------------------
r91720 | cgarcia | 2009-02-05 13:39:32 +0100 (Thu, 05 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stitch.c

Ported to new cpl 4.9.9

------------------------------------------------------------------------
r91719 | cgarcia | 2009-02-05 13:30:42 +0100 (Thu, 05 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_zpoint.c

Fix writing of the proper PRO CATG keywords

------------------------------------------------------------------------
r91700 | cgarcia | 2009-02-04 16:46:46 +0100 (Wed, 04 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_zpoint.c

Updating the cpl 4.9.9

------------------------------------------------------------------------
r91699 | cgarcia | 2009-02-04 15:43:11 +0100 (Wed, 04 Feb 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_jitter.c

Updated to new cpl 4.9.9

------------------------------------------------------------------------
r91432 | cgarcia | 2009-01-27 14:47:23 +0100 (Tue, 27 Jan 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_photom_2mass.c

Added mean zpoints as QC

------------------------------------------------------------------------
r91431 | cgarcia | 2009-01-27 14:45:03 +0100 (Tue, 27 Jan 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_zpoint.c

Added support for WCS location of the standard star

------------------------------------------------------------------------
r91430 | cgarcia | 2009-01-27 14:40:45 +0100 (Tue, 27 Jan 2009) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_flat.c

Fix memory leak

------------------------------------------------------------------------
r90140 | cgarcia | 2008-12-03 11:17:35 +0100 (Wed, 03 Dec 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c

Fixed bag creating the dist_x, dist_y images

------------------------------------------------------------------------
r89844 | cgarcia | 2008-11-26 14:02:29 +0100 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

*** empty log message ***

------------------------------------------------------------------------
r89815 | cgarcia | 2008-11-26 11:05:02 +0100 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Support for new hawki_alloc.*

------------------------------------------------------------------------
r89814 | cgarcia | 2008-11-26 11:01:42 +0100 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_gendist.c

Added column units

------------------------------------------------------------------------
r89813 | cgarcia | 2008-11-26 10:59:28 +0100 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_basic_calib.c

Improvement of messages.

------------------------------------------------------------------------
r89812 | cgarcia | 2008-11-26 10:58:47 +0100 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_zpoint.c

Support for user setable star position

------------------------------------------------------------------------
r89811 | cgarcia | 2008-11-26 10:57:22 +0100 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Fix labelisation of frames when mean offsets ar not 0,0

------------------------------------------------------------------------
r89810 | cgarcia | 2008-11-26 10:53:31 +0100 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_alloc.c

New utility for deallocating tables

------------------------------------------------------------------------
r89809 | cgarcia | 2008-11-26 10:53:21 +0100 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_alloc.h

New utility for allocating tables

------------------------------------------------------------------------
r89800 | cgarcia | 2008-11-25 18:18:45 +0100 (Tue, 25 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_photom_2mass.c

Fixed memory leaks

------------------------------------------------------------------------
r89791 | cgarcia | 2008-11-25 16:08:27 +0100 (Tue, 25 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_photom_2mass.c

Several fixes

------------------------------------------------------------------------
r89753 | cgarcia | 2008-11-25 11:29:13 +0100 (Tue, 25 Nov 2008) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_photom_2mass.c

Lots of changes.
Functionality almost completed

------------------------------------------------------------------------
r89725 | cgarcia | 2008-11-24 11:14:27 +0100 (Mon, 24 Nov 2008) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_photom_2mass.c

New version of 2MASS photometry calibration recipe

------------------------------------------------------------------------
r89551 | cgarcia | 2008-11-19 14:41:24 +0100 (Wed, 19 Nov 2008) | 4 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_zpoint.c

Fixed order of zpoint (it was in frame order  instead of chip order).
Clean comments.
Fixed determination of star frame using offsets.

------------------------------------------------------------------------
r89469 | cgarcia | 2008-11-17 16:42:31 +0100 (Mon, 17 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_jitter.c

Fix crpix1, crpix2 keyword

------------------------------------------------------------------------
r89156 | cgarcia | 2008-11-07 12:50:50 +0100 (Fri, 07 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to version 1.4.2

------------------------------------------------------------------------
r89145 | cgarcia | 2008-11-07 11:36:28 +0100 (Fri, 07 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_combine.c

Accepted background subtracted frames

------------------------------------------------------------------------
r89144 | cgarcia | 2008-11-07 11:34:18 +0100 (Fri, 07 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Fixed segmentation fault

------------------------------------------------------------------------
r89142 | cgarcia | 2008-11-07 11:25:45 +0100 (Fri, 07 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c

Fixed memory leak and segmentation fault

------------------------------------------------------------------------
r89030 | cgarcia | 2008-11-04 12:34:34 +0100 (Tue, 04 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/catalogs/stdstars/HAWKI_Persson_2008-10-30.txt
   D /trunk/Pipelines/hawki/hawkis/catalogs/stdstars/Hawki.txt
   D /trunk/Pipelines/hawki/hawkis/catalogs/stdstars/UKIRT-Fundamental.txt

Changed standard stars catalog

------------------------------------------------------------------------
r88964 | cgarcia | 2008-11-03 16:09:37 +0100 (Mon, 03 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_zpoint.c

Compiling fix

------------------------------------------------------------------------
r88961 | cgarcia | 2008-11-03 15:55:29 +0100 (Mon, 03 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to version 1.4.1

------------------------------------------------------------------------
r88959 | cgarcia | 2008-11-03 15:41:31 +0100 (Mon, 03 Nov 2008) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/catalogs/stdstars/HAWKI_Persson_2008-10-30.txt
   A /trunk/Pipelines/hawki/hawkis/catalogs/stdstars/HAWKI_UKIRT_2008-10-30.txt

New catalogs added to the pipeline

------------------------------------------------------------------------
r88956 | cgarcia | 2008-11-03 15:34:47 +0100 (Mon, 03 Nov 2008) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_zpoint.c

The first search of the star in the Hawki.txt extension of the FITS file has been removed.
Now all the extensions are equally searched.

------------------------------------------------------------------------
r88955 | cgarcia | 2008-11-03 15:32:56 +0100 (Mon, 03 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_jitter.c

Renaming of variables

------------------------------------------------------------------------
r88954 | cgarcia | 2008-11-03 15:32:04 +0100 (Mon, 03 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_flat.c

Multiply the dark by the exposure time, as the new format of the master dark is ADU/s

------------------------------------------------------------------------
r88952 | cgarcia | 2008-11-03 15:31:04 +0100 (Mon, 03 Nov 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_dark.c

Support for statistics on the master dark and its associated error.

------------------------------------------------------------------------
r88761 | cgarcia | 2008-10-29 10:54:33 +0100 (Wed, 29 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_detect_obj.c

Fixed bug creating stars table

------------------------------------------------------------------------
r88715 | cgarcia | 2008-10-28 11:25:05 +0100 (Tue, 28 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_basic_calib.c

Use dark frame as a ADU/s master dark

------------------------------------------------------------------------
r88714 | cgarcia | 2008-10-28 11:23:31 +0100 (Tue, 28 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_dark.c

Create a master dark in ADU/s dividing by the DIT.

------------------------------------------------------------------------
r88698 | cgarcia | 2008-10-27 17:10:34 +0100 (Mon, 27 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_distortion.c

Changed description

------------------------------------------------------------------------
r88665 | cgarcia | 2008-10-27 16:10:09 +0100 (Mon, 27 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/doxygen/Doxyfile.in

Using similar options to cpl documentation

------------------------------------------------------------------------
r88662 | cgarcia | 2008-10-27 16:00:42 +0100 (Mon, 27 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to version 1.4.0

------------------------------------------------------------------------
r88659 | cgarcia | 2008-10-27 15:20:31 +0100 (Mon, 27 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stdstars.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stitch.c

Fix the description of the recipe

------------------------------------------------------------------------
r88658 | cgarcia | 2008-10-27 15:19:22 +0100 (Mon, 27 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_detect_obj.c

Removed keyword QC DATANCOM, since it does not apply here.

------------------------------------------------------------------------
r88657 | cgarcia | 2008-10-27 15:18:38 +0100 (Mon, 27 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_combine.c

Removed the deprecated off parameter initialization,

------------------------------------------------------------------------
r88511 | cgarcia | 2008-10-23 17:25:01 +0200 (Thu, 23 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_subtract_bkg.c

Description fix

------------------------------------------------------------------------
r88483 | cgarcia | 2008-10-23 12:01:59 +0200 (Thu, 23 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Fixed format typo

------------------------------------------------------------------------
r88482 | cgarcia | 2008-10-23 11:58:41 +0200 (Thu, 23 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.c

Changes to be compliant with detmon DO categories

------------------------------------------------------------------------
r88462 | cgarcia | 2008-10-22 14:45:51 +0200 (Wed, 22 Oct 2008) | 5 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_jitter.c

Move the telescope property retrieval to the common library.
New max_obj recipe parameter.
Support for detected objects statistics.
Reorganization of the recipe parameter retrieval.

------------------------------------------------------------------------
r88453 | cgarcia | 2008-10-22 12:59:37 +0200 (Wed, 22 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_detect_obj.c

Support for detected objects statistics

------------------------------------------------------------------------
r88452 | cgarcia | 2008-10-22 12:50:48 +0200 (Wed, 22 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_detlin.c

Changes to be compliant with detmon DO categories

------------------------------------------------------------------------
r88450 | cgarcia | 2008-10-22 12:50:02 +0200 (Wed, 22 Oct 2008) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_dark.c

New function to read the parameters.
Support for error map product

------------------------------------------------------------------------
r88448 | cgarcia | 2008-10-22 12:45:41 +0200 (Wed, 22 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_dfs.h

Support for dark error estimation product and initial support for detmon recipe.

------------------------------------------------------------------------
r88447 | cgarcia | 2008-10-22 12:43:14 +0200 (Wed, 22 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_pfits.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_pfits.h

Added function to read the NDSAMPLES keyword

------------------------------------------------------------------------
r88446 | cgarcia | 2008-10-22 12:42:20 +0200 (Wed, 22 Oct 2008) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_obj_det.c
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_obj_det.h

Support for object properties statistics

------------------------------------------------------------------------
r88445 | cgarcia | 2008-10-22 12:41:39 +0200 (Wed, 22 Oct 2008) | 2 lines
Changed paths:
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_variance.c
   A /trunk/Pipelines/hawki/hawkis/hawki/hawki_variance.h

Functionality to create variance images.

------------------------------------------------------------------------
r88444 | cgarcia | 2008-10-22 12:39:39 +0200 (Wed, 22 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/Makefile.am

Added the hawki_obj_det and hawki_variance files.

------------------------------------------------------------------------
r88144 | cgarcia | 2008-10-14 16:39:49 +0200 (Tue, 14 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_flat.c

Fixed selection algorithm (DFS06027)

------------------------------------------------------------------------
r87735 | cgarcia | 2008-10-02 10:57:49 +0200 (Thu, 02 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/Makefile.am
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Included regtests directory

------------------------------------------------------------------------
r87711 | cgarcia | 2008-10-01 13:24:38 +0200 (Wed, 01 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/configure.ac

Updated to version 1.3.5

------------------------------------------------------------------------
r87699 | cgarcia | 2008-10-01 13:20:51 +0200 (Wed, 01 Oct 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_jitter.c

Memory management improvement thanks to massif profiling.

------------------------------------------------------------------------
r87564 | cgarcia | 2008-09-26 17:13:26 +0200 (Fri, 26 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_dark.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_detlin.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_flat.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_illum.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_jitter.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_zpoint.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_tec_filtchk.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_basic_calib.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_compute_bkg.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_detect_obj.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_distortion.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_refine_offsets.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stats.c
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_subtract_bkg.c

Adapted to new hawki_load API changes.

------------------------------------------------------------------------
r87563 | cgarcia | 2008-09-26 17:12:02 +0200 (Fri, 26 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_combine.c

use different offsets for each chip. The resulting image may have different dimensions in each chip

------------------------------------------------------------------------
r87562 | cgarcia | 2008-09-26 17:06:42 +0200 (Fri, 26 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_saa.c

performance hack. An internal cpl function is being called while cpl 5.0 is still to be released.

------------------------------------------------------------------------
r87561 | cgarcia | 2008-09-26 17:05:12 +0200 (Fri, 26 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.c

API renaming

------------------------------------------------------------------------
r87560 | cgarcia | 2008-09-26 17:04:49 +0200 (Fri, 26 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_distortion.c

Compilation fix

------------------------------------------------------------------------
r87559 | cgarcia | 2008-09-26 17:04:24 +0200 (Fri, 26 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_load.h

API re naming

------------------------------------------------------------------------
r87358 | cgarcia | 2008-09-19 15:02:04 +0200 (Fri, 19 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_combine.c

Minor changes

------------------------------------------------------------------------
r87357 | cgarcia | 2008-09-19 14:55:11 +0200 (Fri, 19 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_saa.c

Fixed bug detected with valgrind as uninitialized use of memory in _saa function. This problem was corrected in the cpl equivalent function cpl_gewom_offsets_saa.

------------------------------------------------------------------------
r87331 | cgarcia | 2008-09-18 15:44:08 +0200 (Thu, 18 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_refine_offsets.c

Now refined offsets are output in "telescope reference".

------------------------------------------------------------------------
r87306 | cgarcia | 2008-09-18 12:36:52 +0200 (Thu, 18 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.c

Added constness to some functions

------------------------------------------------------------------------
r87305 | cgarcia | 2008-09-18 12:36:24 +0200 (Thu, 18 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_saa.c

Mayor changes to refine_offsets

------------------------------------------------------------------------
r87304 | cgarcia | 2008-09-18 12:35:05 +0200 (Thu, 18 Sep 2008) | 3 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_utils.h

Function renaming: hawki_apply_stitching to hawki_iamges_stitch.
Added constness.

------------------------------------------------------------------------
r87303 | cgarcia | 2008-09-18 12:34:21 +0200 (Thu, 18 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.c
   M /trunk/Pipelines/hawki/hawkis/hawki/hawki_bkg.h

Added constness to many functions

------------------------------------------------------------------------
r87302 | cgarcia | 2008-09-18 12:33:23 +0200 (Thu, 18 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_img_jitter.c

Function renaming

------------------------------------------------------------------------
r87301 | cgarcia | 2008-09-18 12:32:49 +0200 (Thu, 18 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_distortion.c

Performance improvements

------------------------------------------------------------------------
r87300 | cgarcia | 2008-09-18 12:31:10 +0200 (Thu, 18 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_refine_offsets.c

Mayor upgrade. Make it functional

------------------------------------------------------------------------
r87299 | cgarcia | 2008-09-18 12:21:18 +0200 (Thu, 18 Sep 2008) | 2 lines
Changed paths:
   M /trunk/Pipelines/hawki/hawkis/recipes/hawki_util_stitch.c

Function renaming

